<?php defined('BASEPATH') OR exit('No direct script access allowed');

class Manage_entrants extends CI_Controller{

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function __construct()
	{
		parent::__construct();
		$this->load->model(array('entrants_ad_model','Combined_ad_model'));
		if(!$this->session->userdata('userID')){redirect(base_url('admin/login'));}
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function index(){
		$data['posts'] = $this->entrants_ad_model->get_posts();
		$this->load->view('admin/entrants/manage',$data);
	}

	//-----------------------------------------------------------------------------------------------------------------------------------------------------------------------
	function set_session($id){
		$this->session->set_userdata('entrant_id',$id);
		redirect(base_url()."admin/manage_entrant");
	}
	//-----------------------------------------------------------------------------------------------------------------------------------------------------------------------
	function add()	{

		$data['langs']=$this->Combined_ad_model->view_lang();
		$this->load->view('admin/entrants/add', $data);

		if(isset($_POST['add_sbmt'])){

			$langs = $this->Combined_ad_model->view_lang();
			$uId = time();

			foreach($langs as $lang){

			$data=array(
				'uid' =>$uId,
				'title'=>$_POST['name-'.$lang["lang"]],
				'img'=>$_POST['ImagePath'],
				'isactive'=>$_POST['isactive'],
				'lang'=>$lang["langID"]
			);
			$entrantid = $this->entrants_ad_model->insert($data);

			}
			$entrantid = $this->entrants_ad_model->get_post_by_id($entrantid);
			$entrantid = $entrantid[0]['uId'];
			$this->load->model('entrant_ad_model');
			$data2 = array('entrant_id'=>$entrantid);
			$this->entrant_ad_model->insert($data2);

			redirect(base_url().'admin/manage_entrants');

		}
	}
	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function edit()	{
		$uId = $this->uri->segment(4);
		$data['langs']=$this->Combined_ad_model->view_lang();
		$data['rows']=$this->entrants_ad_model->get_post($uId);
		$this->load->view('admin/entrants/edit', $data);

		if(isset($_POST['edit_sbmt'])){

			$langs = $this->Combined_ad_model->view_lang();

			foreach($langs as $lang){

			$data=array(
				'title'=>$_POST['name-'.$lang["lang"]],
				'img'=>$_POST['ImagePath'],
				'isactive'=>$_POST['isactive'],
				'lang'=>$lang["langID"]
			);
			$this->entrants_ad_model->update($uId,$lang['langID'],$data);

			}

			redirect(base_url().'admin/manage_entrants');

		}
	}
	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function delete(){
		$uId = $this->uri->segment(4);
		$this->entrants_ad_model->delete($uId);
		$this->load->model('entrant_ad_model');
		$this->entrant_ad_model->delete($uId);
		redirect(base_url().'admin/manage_entrants');
	}
	

}