<?php defined('BASEPATH') OR exit('No direct script access allowed');

class Manage_foot_right_icons extends CI_Controller{

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function __construct()
	{
		parent::__construct();
		$this->load->model(array('foot_right_icons_ad_model','Combined_ad_model'));
		if(!$this->session->userdata('userID')){redirect(base_url('admin/login'));}
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function index()
	{
		$data['rows']=$this->foot_right_icons_ad_model->get_posts();
		$this->load->view('admin/foot_right_icons/manage',$data);
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function add()
	{
		$data['langs']=$this->Combined_ad_model->view_lang();
		$this->load->view('admin/foot_right_icons/add', $data);

		$level = $this->foot_right_icons_ad_model->get_level();
		if($level[0]['level']==NULL){
			$level = 1;
		}
		else{
			$level = $level[0]['level']+1;
		}

		if(isset($_POST['add_sbmt'])){

			$langs = $this->Combined_ad_model->view_lang();
			$uId = time();

			foreach($langs as $lang){

				$data=array(
					'uid' =>$uId,
					'title'=>$_POST['title-'.$lang["lang"]],
					'link'=>$_POST['link'],
					'img'=>$_POST['ImagePath'],
					'isactive'=>$_POST['isactive'],
					'level'=>$level,
					'lang' => $lang["langID"]
				);
				$this->foot_right_icons_ad_model->insert($data);

			}
			
			redirect(base_url().'admin/manage_foot_right_icons');
		}

	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function edit(){
		$uId = $this->uri->segment(4);
		$data['rows']=$this->foot_right_icons_ad_model->get_post($uId);
		$data['langs']=$this->Combined_ad_model->view_lang();
		$this->load->view('admin/foot_right_icons/edit', $data);

		if(isset($_POST['edit_sbmt'])){

			$langs = $this->Combined_ad_model->view_lang();

			foreach($langs as $lang){

			$data=array(
				'title'=>$_POST['title-'.$lang["lang"]],
				'link'=>$_POST['link'],
				'img'=>$_POST['ImagePath'],
				'isactive'=>$_POST['isactive'],
				'lang' => $lang["langID"]
			);
			$this->foot_right_icons_ad_model->update($uId,$lang['langID'],$data);

			}

			redirect(base_url().'admin/manage_foot_right_icons');
		}

	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------
	function sort_up($id){
		$this->foot_right_icons_ad_model->sort_up($id);
		redirect(base_url().'admin/manage_foot_right_icons');
	}
	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------
	function sort_down($id){
		$this->foot_right_icons_ad_model->sort_down($id);
		redirect(base_url().'admin/manage_foot_right_icons');
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function delete(){
		$uId = $this->uri->segment(4);
		$this->foot_right_icons_ad_model->delete($uId);
		redirect(base_url().'admin/manage_foot_right_icons');
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

}