<?php defined('BASEPATH') OR exit('No direct script access allowed');

class Manage_institute extends CI_Controller{

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function __construct()
	{
		parent::__construct();
		$this->load->model(array('institute_ad_model','Combined_ad_model'));
		if(!$this->session->userdata('userID')){redirect(base_url('admin/login'));}
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function index(){
		$institute_id = $this->session->all_userdata()["institute_id"];
		$data['langs'] = $this->Combined_ad_model->view_lang();
		$data['institute_name'] = $this->institute_ad_model->get_institute_name($institute_id);
		$data['institutes'] = $this->institute_ad_model->get_posts($institute_id);
		$this->load->view('admin/institute/manage', $data);
	}
	
	function edit(){
		$institute_id = $this->session->userdata('institute_id');
		$data = array(
			'header' => $_POST['headerimg'] , 
			'logo' => $_POST['logo'], 
			'header_eng' => $_POST['headerimg_eng'], 
			'logo_eng' => $_POST['logo_eng'] 
		);
		$this->institute_ad_model->update($institute_id,$data);
		redirect(base_url().'admin/manage_institute');
	}
	





}