<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Manage_institute_nav_content extends CI_Controller {

    function __construct() {
       parent::__construct();
       if(!$this->session->userdata('userID')){redirect(base_url('admin/login'));}
       $this->load->model('institutes_nav_ad_model');
    }

    public function index($id)
    {
      if(!$this->institutes_nav_ad_model->isExist($id) ){
          $this->institutes_nav_ad_model->init($id);
      }
      $data['menu_contents'] = $this->institutes_nav_ad_model->get_post($id);
      $this->load->view('admin/institute_nav/content.php',$data);
    }
	
    public function edit($id){
      $id = $id;
      $content = $this->input->post('content');
      $content_eng = $this->input->post('content-eng');
      $right_content = $this->input->post('right_content');
      $right_content_eng = $this->input->post('right_content_eng');
      $link = $this->input->post('link');
      $link_eng = $this->input->post('link_eng');
      $instituteID = $this->session->userdata('institute_id');
      $data = array(
        'content' =>$content , 
        'content_eng' => $content_eng, 
        'right_content' =>$right_content,
        'right_content_eng'=>$right_content_eng,
        'link' => $link, 
        'link_eng'=>$link_eng , 
        'institute_id' => $instituteID,
        'target' => $this->input->post('target')
      );
      $this->institutes_nav_ad_model->update($id,$data);
      $redirectUrl = base_url() . "admin/manage_institute_nav";
      redirect($redirectUrl);
    }
}
