<?php defined('BASEPATH') OR exit('No direct script access allowed');

class Manage_institutes_personal extends CI_Controller{

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function __construct()
	{
		parent::__construct();
		$this->load->model(array('institutes_personal_ad_model','Combined_ad_model'));
		if(!$this->session->userdata('userID')){redirect(base_url('admin/login'));}
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function index()
	{
		$data['rows']=$this->institutes_personal_ad_model->get_posts();
		$this->load->view('admin/institutes_personal/manage',$data);
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function add()
	{
		$data['langs']=$this->Combined_ad_model->view_lang();
		$this->load->view('admin/institutes_personal/add', $data);

		if(isset($_POST['add_sbmt'])){

			$langs = $this->Combined_ad_model->view_lang();
			$uId = time();

			foreach($langs as $lang){

				$data=array(
					'uid' =>$uId,
					'name'=>$_POST['name-'.$lang["lang"]],
					'img'=>$_POST['ImagePath'],
					'page'=>$_POST['editor1-'.$lang["lang"]],
					'isactive'=>$_POST['isactive'],
					'lang' => $lang["langID"],
					'school_id' => $this->session->userdata('school_id')
				);
				$this->institutes_personal_ad_model->insert($data);

			}
			
			redirect(base_url().'admin/manage_institutes_personal');
		}

	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function edit(){
		$uId = $this->uri->segment(4);

		if(isset($_POST['edit_sbmt'])){

			$langs = $this->Combined_ad_model->view_lang();

			foreach($langs as $lang){

			$data=array(
				'name'=>$_POST['name-'.$lang["lang"]],
				'img'=>$_POST['ImagePath'],
				'page'=>$_POST['editor1-'.$lang["lang"]],
				'isactive'=>$_POST['isactive'],
				'lang' => $lang["langID"],
				'school_id' => $this->session->userdata('school_id')
			);
			$this->institutes_personal_ad_model->update($uId,$lang['langID'],$data);

			}

			redirect(base_url().'admin/manage_institutes_personal');
		}

		$data['rows']=$this->institutes_personal_ad_model->get_post($uId);
		$data['langs']=$this->Combined_ad_model->view_lang();
		$this->load->view('admin/institutes_personal/edit', $data);

	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function delete(){
		$uId = $this->uri->segment(4);
		$this->institutes_personal_ad_model->delete($uId);
		redirect(base_url().'admin/manage_institutes_personal');
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

}