<?php defined('BASEPATH') OR exit('No direct script access allowed');

class Manage_register_forms extends CI_Controller{

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function __construct()
	{
		parent::__construct();
		$this->load->model(array('register_forms_ad_model'));
		if(!$this->session->userdata('userID')){redirect(base_url('admin/login'));}
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function index()
	{
		$data['registerbtn']=$this->register_forms_ad_model->get_reg_btn();
		$data['rows']=$this->register_forms_ad_model->get_forms();
		$this->load->view('admin/register_forms/manage',$data);
	}

	function edit_btn()
	{
		if(isset($_POST['update_register_btn'])){

			$data=array(
				'title_geo'=>$_POST['title_geo'],
				'title_eng'=>$_POST['title_eng'],
				'link'=>$_POST['link'],
				'active'=>$_POST['active']
			);
			$this->register_forms_ad_model->update_get_reg_btn($data);

			redirect(base_url().'admin/manage_register_forms');
		}
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function add()
	{
		$this->load->view('admin/register_forms/add');

		if(isset($_POST['add'])){
			$data=array(
				'main_title'=>$_POST['main_title'],
				'title_geo'=>$_POST['title_geo'],
				'title_eng'=>$_POST['title_eng'],
				'embed_link'=>$_POST['embed_link'],
				'embed_height'=>$_POST['embed_height']
			);
			$this->register_forms_ad_model->insert($data);

			redirect(base_url().'admin/manage_register_forms');
		}
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function edit($id)
	{
		$data['rows']=$this->register_forms_ad_model->get_form($id);
		$this->load->view('admin/register_forms/edit',$data);

		if(isset($_POST['edit'])){
			$data=array(
				'main_title'=>$_POST['main_title'],
				'title_geo'=>$_POST['title_geo'],
				'title_eng'=>$_POST['title_eng'],
				'embed_link'=>$_POST['embed_link'],
				'embed_height'=>$_POST['embed_height']
			);
			$this->register_forms_ad_model->update($id,$data);

			redirect(base_url().'admin/manage_register_forms');
		}
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function delete($id)
	{
		$this->register_forms_ad_model->delete($id);
		redirect(base_url().'admin/manage_register_forms');
	}

}