<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Manage_school_nav_content extends CI_Controller {

    function __construct() {
       parent::__construct();
       if(!$this->session->userdata('userID')){redirect(base_url('admin/login'));}
       $this->load->model('schools_nav_ad_model');
    }

    public function index($id)
    {
      if(!$this->schools_nav_ad_model->isExist($id) ){
          $this->schools_nav_ad_model->init($id);
      }
      $data['menu_contents'] = $this->schools_nav_ad_model->get_post($id);
      $this->load->view('admin/school_nav/content.php',$data);
    }
	
    public function edit($id){
      $id = $id;
      $content = $this->input->post('content');
      $content_eng = $this->input->post('content-eng');
      $right_content = $this->input->post('right_content');
      $right_content_eng = $this->input->post('right_content_eng');
      $link = $this->input->post('link');
      $link_eng = $this->input->post('link_eng');
      $schoolID = $this->session->userdata('school_id');

      $pedagog = $this->input->post('pedagog') ? 1 : 0 ;
      $administrator = $this->input->post('administrator') ? 1 : 0;
      $office_manager = $this->input->post('office_manager') ? 1 : 0;
      $student = $this->input->post('student') ? 1 : 0;
      
      $data = array(
        'content' =>$content , 
        'content_eng' => $content_eng, 
        'right_content' =>$right_content,
        'right_content_eng'=>$right_content_eng,
        'link' => $link, 
        'link_eng'=>$link_eng ,
        'pedagog'=> $pedagog,
        'administrator'=> $administrator,
        'office_manager'=> $office_manager,
        'student'=> $student ,
        'target' => $this->input->post('target')
        );
      $this->schools_nav_ad_model->update($id,$data);
      $redirectUrl = base_url() . "admin/manage_school_nav";
      redirect($redirectUrl);
    }
}

