<?php defined('BASEPATH') OR exit('No direct script access allowed');

class Manage_seo extends CI_Controller{

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function __construct()
	{
		parent::__construct();
		$this->load->model(array('seo_ad_model','Combined_ad_model'));
		if(!$this->session->userdata('userID')){redirect(base_url('admin/login'));}
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function index()
	{
		$data['seodatas']=$this->seo_ad_model->get_tkd_posts();
		$this->load->view('admin/seo/seo_manage',$data);
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function addpost()
	{
		$data['langs']=$this->Combined_ad_model->view_lang();
		$this->load->view('admin/seo/seo_add',$data);

		if(isset($_POST['add_seo_sbmt'])){

			$langs = $this->Combined_ad_model->view_lang();
			$uId = time();

			foreach($langs as $lang){

			$data=array(
				'uid' =>$uId,
				'seo_page'=>$_POST['seo_page'],
				'seo_title'=>$_POST['seo_title-'.$lang["lang"]],
				'seo_keywords'=>$_POST['seo_keywords-'.$lang["lang"]],
				'seo_description'=>$_POST['seo_description-'.$lang["lang"]],
				'lang'=>$lang["langID"]
			);
			$this->seo_ad_model->insert_tkd($data);

			}

			redirect(base_url().'admin/manage_seo');
		}

	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function editpost()
	{
		$uId = $this->uri->segment(4);
		$data['seodata']=$this->seo_ad_model->get_tkd($uId);
		$data['langs']=$this->Combined_ad_model->view_lang();
		$this->load->view('admin/seo/seo_edit',$data);

		if(isset($_POST['edit_seo_sbmt'])){

			$langs = $this->Combined_ad_model->view_lang();

			foreach($langs as $lang){

			$data=array(
				'seo_title'=>$_POST['seo_title-'.$lang["lang"]],
				'seo_keywords'=>$_POST['seo_keywords-'.$lang["lang"]],
				'seo_description'=>$_POST['seo_description-'.$lang["lang"]],
				'lang'=>$lang["langID"]
			);
			$this->seo_ad_model->update_tkd($uId,$lang['langID'],$data);

			}

			redirect(base_url().'admin/manage_seo');
		}
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function deletepost()
	{
		$uId = $this->uri->segment(4);
		$this->seo_ad_model->delete_tkd($uId);
		redirect(base_url().'admin/manage_seo');
	}

	//--- google analitycs --------------------------------------------------------------------------------------------------------------------------------------------

	function edit_google_analytics($id)
	{
		$data['updated']=0;
		if(isset($_POST['add_tracking_code_sbmt'])){
			$data=array(
				'tracking_code'=>$_POST['tracking_code']
			);
			$this->seo_ad_model->update_google_analitycs($id,$data);
			$data['updated']=1;
		}
		$data['googledata']=$this->seo_ad_model->get_google_analitycs($id);
		$this->load->view('admin/seo/google_analytics',$data);
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function deleteGoogleA($id)
	{
		$data=array(
			'tracking_code'=>NULL
		);
		$this->seo_ad_model->update_google_analitycs($id,$data);
		$data['googledata']=$this->seo_ad_model->get_google_analitycs($id);
		redirect(base_url().'admin/manage_seo/edit_google_analytics/1');
	}

	//--- google analitycs end ----------------------------------------------------------------------------------------------------------------------------------------------

}