<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Photo_gallery extends CI_Controller {

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function __construct(){
		parent::__construct();
		$this->load->model(array('main_view_model'));
	}

	//--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function index($start=0){
		$this->load->library('pagination');
		$filter = $this->input->get('cat');
		$news_filter = $this->input->get('news_filter');
		$config['per_page'] = 35;
		if(!empty($filter)){
			$data['pGallery']=$this->main_view_model->view_p_gallery_filtered($config['per_page'], $start,$filter);
			$config['total_rows'] = $this->main_view_model->get_p_gal_items_count_filtered($filter);
			$config['suffix'] = '?cat=' .$filter;
			$config['first_url'] = base_url().'photo_gallery/?cat='.$filter;			
		}
		elseif (!empty($news_filter)) {
			$data['pGallery'] = $this->main_view_model->view_news_gallery($config['per_page'], $start, $news_filter);
			$config['total_rows'] = $this->main_view_model->get_news_gallery_count();
			$config['suffix'] = '?news_filter=' . $news_filter;
			$config['first_url'] = base_url() . 'photo_gallery/?news_filter=' . $news_filter;
		}
		else{
			$data['pGallery']=$this->main_view_model->view_p_gallery($config['per_page']/2,$start);
			$config['total_rows'] = $this->main_view_model->get_p_gal_items_count();
		}
		$config['base_url'] = base_url().'photo_gallery/index/';
		$config['attributes'] = array('class' => 'pagingButton');
		$config['uri_segment'] = 3;
		// $this->pagination->initialize($config);
		// $data['pages'] = $this->pagination->create_links();
		$this->load->view('site/photo_gallery',$data);
	}

	//--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

}