<?php defined('BASEPATH') OR exit('No direct script access allowed');

class Institutes_slider_ad_model extends CI_Model{

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function get_slides($num=15,$start=0){
		$query = $this->db->select("uId")->where(array('institute_id'=>$this->session->userdata('institutes_id')))->group_by("uId")->order_by("uId","desc")->limit($num,$start)->get("institutes_mainslider");
		$uIds = $query->result_array();
		$res = [];
		foreach ($uIds as $uId) {
			$query2 = $this->db->select("*")->from('institutes_mainslider')->join('langs', 'langs.langID = institutes_mainslider.lang', 'left')->where("uId",$uId["uId"])->get();
			$result = $query2->result_array();
			array_push($res, $result);
		}
		return $res;
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function get_posts_count(){
		$this->db->select('uId')->from('institutes_mainslider')->where(array('institutes_id'=>$this->session->userdata('institutes_id'),'lang'=>1));
		$query=$this->db->get();
		return $query->num_rows();
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function get_slide($uId){
		$this->db->select('*')->from('institutes_mainslider')->where(array('uId'=>$uId));
		$query=$this->db->get();
		return $query->result_array();
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function insert_slide($data){
		$this->db->insert('institutes_mainslider',$data);
		return $this->db->insert_id();
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function update_slide($uId,$lang,$data){
		$this->db->where( array('uId' => $uId , 'lang' => $lang ));
		$this->db->update('institutes_mainslider',$data);
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function delete_slide($uId){
		$this->db->where('uId',$uId);
		$this->db->delete('institutes_mainslider');
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

}