<?php defined('BASEPATH') OR exit('No direct script access allowed');

class Langs_ad_model extends CI_Model{

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function get_langs(){
		$this->db->select('*');
		$this->db->from('langs');
		$this->db->order_by('langID','desc');
		$query=$this->db->get();
		return $query->result_array();
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function get_lang($id){
		$this->db->select('*')->from('langs')->where(array('langID'=>$id));
		$query=$this->db->get();
		return $query->first_row('array');
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function insert_lang($data){
		$this->db->insert('langs',$data);
		return $this->db->insert_id();
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function update_lang($id,$data){
		$this->db->where('langID',$id);
		$this->db->update('langs',$data);
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function delete_lang($id){
		$this->db->where('langID',$id);
		$this->db->delete('langs');
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

}