<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Other_model extends CI_Model {

	function get_other($id){	
		$this->db->select('*')->from('other_cat')->where(array('uId'=>$id,'lang'=>$this->session->userdata('lang')));
		$query=$this->db->get();
		return $query->first_row('array');

	}

	function get_other_content($cat_id) {
		if ($this->session->userdata('lang') == 1)
			$this->db->select("content");
		else
			$this->db->select("content_eng as content");

		$query = $this->db->where('cat_id', $cat_id)->get("other_content");
		$res = $query->row();

		return $res;
	}
	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function get_content($id,$foot_cat){
		if($this->session->userdata('lang')==1){
			$query = $this->db->from('other')->where( array('other.id' => $id , 'other.other_cat' =>$foot_cat ))->join('other_content','other_content.cat_id=other.id')->get();
		}
		else{
			$query = $this->db->select('*,title_eng as title,content_eng as content')->from('other')->where( array('other.id' => $id , 'other.other_cat' =>$foot_cat ))->join('other_content','other_content.cat_id=other.id')->get();
		}
		return $query->first_row('array');
	}

	function get_access($id,$foot_cat){
		$where_arr = array('other.id' => $id , 'other.other_cat' =>$foot_cat );
		$query = $this->db->select('pedagog,administrator,office_manager,student')->where($where_arr)->join('other_content','other_content.cat_id = other.id')->get('other');
		return $query->first_row();
	}
}