<?php defined('BASEPATH') OR exit('No direct script access allowed');

class Section_ad_model extends CI_Model{

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function get_posts($sec_id){
		$query = $this->db->select("uId")->group_by("uId")->order_by("sectionlevel","asc")->where('section_id',$sec_id)->get("section");
		$uIds = $query->result_array();
		$res = [];
		foreach ($uIds as $uId) {
			$query2 = $this->db->select("*")->from('section')->join('langs', 'langs.langID = section.lang', 'left')->where("uId",$uId["uId"])->get();
			$result = $query2->result_array();
			array_push($res, $result);
		}
		return $res;
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function get_post($uId){
		$this->db->select('*')->from('section')->where(array('uId'=>$uId));
		$query=$this->db->get();
		return $query->result_array();
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function insert($data){
		$this->db->insert('section',$data);
		return $this->db->insert_id();
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function update($uId,$lang,$data){
		$this->db->where( array('uId' => $uId , 'lang' => $lang ));
		$this->db->update('section',$data);
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function delete($uId){
		$this->db->where('sectionlevel',$uId);
		$this->db->delete('section');
		$this->sort($uId);
	}
	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------
	function sort($level){
		$this->db->set('sectionlevel', 'sectionlevel-1', FALSE);
		$this->db->where('sectionlevel >', $level);
		$this->db->update('section');
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------
	function sort_up($id){

		$this->db->set('sectionlevel', 'sectionlevel+1000', FALSE);
		$this->db->where('sectionlevel', $id-1);
		$this->db->update('section');

		$this->db->set('sectionlevel', 'sectionlevel-1', FALSE);
		$this->db->where('sectionlevel', $id);
		$this->db->update('section');

		$this->db->set('sectionlevel', 'sectionlevel-999', FALSE);
		$this->db->where('sectionlevel', $id+999);
		$this->db->update('section');

	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------
	function sort_down($id){
		$this->db->set('sectionlevel', 'sectionlevel+1000', FALSE);
		$this->db->where('sectionlevel', $id+1);
		$this->db->update('section');

		$this->db->set('sectionlevel', 'sectionlevel+1', FALSE);
		$this->db->where('sectionlevel', $id);
		$this->db->update('section');

		$this->db->set('sectionlevel', 'sectionlevel-1001', FALSE);
		$this->db->where('sectionlevel', $id+1001);
		$this->db->update('section');

	}
	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------
	function get_level(){
		$query = $this->db->select_max('sectionlevel')->where('section_id',$this->session->userdata('section_id'))->get('section');
		return $query->result_array();
	}
}