<!DOCTYPE html>
<html>
<head>
	<?php $this->load->view('admin/blocks/head.php'); ?>
</head>
<body>
<?php $this->load->view('admin/blocks/asideleft.php'); ?>

	<div id="mainHeadingBox">
		<h2 class="mainHeading">Edit record</h2>
	</div>
	<div class="headBox">
		<a class="linkButton" href="<?=base_url()?>admin/manage_foot_nav" onclick="return confirm('Sure to leave without saving changes?');"><i class="fa fa-angle-double-left"></i> Go back without saving</a>
	</div>
	
	<form class="validateForm" action="<?=base_url()?>admin/manage_foot_nav_content/edit/<?=$menu_contents[0]['id']?>" method="post" accept-charset="utf-8">

		<?php foreach ($menu_contents as $row): ?>
		<div class="form-group">
		<label class="inputLabel">Open in Blank</label><br/>
			<input type="radio" name="target" id="yes" <?php if($row['target']=="1") echo "checked";?> value="1"
					data-validation="required"
					data-validation-error-msg="Must choose one" />&nbsp;<label for="yes" class="inputLabel">Yes</label>
			<input type="radio" name="target" id="no" <?php if($row['target']=="0") echo "checked";?> value="0"
					data-validation="required"
					data-validation-error-msg="Must choose one" />&nbsp;<label for="no" class="inputLabel">No</label>
		</div>
		<input type="checkbox" name="pedagog" value="true" <?php if($row['pedagog']) echo "checked";?>> პედაგოგი
		<input type="checkbox" name="administrator" value="true" <?php if($row['administrator']) echo "checked";?>> ადმინისტრატორი
		<input type="checkbox" name="office_manager" value="true" <?php if($row['office_manager']) echo "checked";?>> ოფის მენეჯერი
		<input type="checkbox" name="student" value="true" <?php if($row['student']) echo "checked";?>> სტუდენტი
		<div class="form-group">
			<label class="inputLabel">Type</label><br/>
				<input type="radio" name="type" value="1" id="content"
					data-validation="required"
					data-validation-error-msg="Must choose one" checked />&nbsp;<label for="content" class="inputLabel">content</label>
				<input type="radio" name="type" value="2" id="link"
					data-validation="required"
					data-validation-error-msg="Must choose one" />&nbsp;<label for="link" class="inputLabel">link</label>
		</div>
		<div class="hide">
			<label class="inputLabel">content geo</label><br/>
			<textarea id="editor" name="content" rows="10" cols="80"><?=$row['content']?></textarea>

			<br/>
			<hr/>

			<label class="inputLabel">content eng</label><br/>
			<textarea id="editor-eng" name="content-eng" rows="10" cols="80"><?=$row['content_eng']?></textarea>
				
		</div>
		<div class="url" style="display:none;">
			<label class="inputLabel">Link:</label><br>
			<input type="text" id="link" class="input smallInput" name="link" value="<?=$row['link'];?>"
					data-validation="length"
					data-validation-length="max255"
					data-validation-error-msg="Max 255 charachters" />
			<br/>
			<br/>
			<hr/>
			<label class="inputLabel">Link eng:</label><br>
			<input type="text" id="link" class="input smallInput" name="link_eng" value="<?=$row['link_eng'];?>"
					data-validation="length"
					data-validation-length="max255"
					data-validation-error-msg="Max 255 charachters" />
		</div>
		<br/>
		<hr/>

		<?php endforeach; ?>
		
		<script>
			// ckeditor intagrated with ckfinder
			var editor = CKEDITOR.replace( 'editor', {
			    filebrowserBrowseUrl : '<?=base_url()?>ckfinder/ckfinder.html',
			    filebrowserImageBrowseUrl : '<?=base_url()?>ckfinder/ckfinder.html?type=Images',
			    filebrowserFlashBrowseUrl : '<?=base_url()?>ckfinder/ckfinder.html?type=Flash',
			    filebrowserUploadUrl : '<?=base_url()?>ckfinder/core/connector/php/connector.php?command=QuickUpload&type=Files',
			    filebrowserImageUploadUrl : '<?=base_url()?>ckfinder/core/connector/php/connector.php?command=QuickUpload&type=Images',
			    filebrowserFlashUploadUrl : '<?=base_url()?>ckfinder/core/connector/php/connector.php?command=QuickUpload&type=Flash'
			});

			var editor_eng = CKEDITOR.replace( 'editor-eng', {
			    filebrowserBrowseUrl : '<?=base_url()?>ckfinder/ckfinder.html',
			    filebrowserImageBrowseUrl : '<?=base_url()?>ckfinder/ckfinder.html?type=Images',
			    filebrowserFlashBrowseUrl : '<?=base_url()?>ckfinder/ckfinder.html?type=Flash',
			    filebrowserUploadUrl : '<?=base_url()?>ckfinder/core/connector/php/connector.php?command=QuickUpload&type=Files',
			    filebrowserImageUploadUrl : '<?=base_url()?>ckfinder/core/connector/php/connector.php?command=QuickUpload&type=Images',
			    filebrowserFlashUploadUrl : '<?=base_url()?>ckfinder/core/connector/php/connector.php?command=QuickUpload&type=Flash'
			});
			CKFinder.setupCKEditor( editor, '../' );
			CKFinder.setupCKEditor( editor_eng, '../' );
		</script>

		<button type="submit" class="button actionButton" name="edit_sbmt" onclick="return confirm('Sure to Edit?');"><i class="fa fa-save"></i> Save</button>
	</form>
<script>
$(document).ready(function(){

	$('#content,#link').click(function() {
   		if($('#link').is(':checked')){
   			$(".hide").css("display","none");
   			$(".url").css("display","block");
   		}else{
   			$(".hide").css("display","block");
   			$(".url").css("display","none");
   		}

	});


});

</script>

<?php $this->load->view('admin/blocks/footer.php'); ?>

</body>

</html>