<!DOCTYPE html>
<html>
<head>
	<?php $this->load->view('admin/blocks/head.php'); ?>
</head>
<body class="social">
<?php $this->load->view('admin/blocks/asideleft.php'); ?>

	<div id="mainHeadingBox">
		<h2 class="mainHeading">Manage foot right icons</h2>
	</div>
	<div class="headBox">
		<a class="linkButton" href="<?=base_url()?>admin/manage_foot_right_icons/add"><i class="fa fa-plus-circle"></i> Add Record</a>
	</div>

	<table class="itemsTable" border="1">
		<tr>
			<th>ID</th><th>link</th><th>image</th><th>title - geo</th><th>title - eng</th><th>Isactive</th><th>Edit</th><th>Delete</th><th>Level</th>
		</tr>
		<?php $i=0; $cnt = count($rows); foreach($rows as $row): ?>
		<tr>
			<td>
				<div><?=$row[0]['level']?></div>
			</td>
			<td>
				<div><?=$row[0]['link']?></div>
			</td>
			<td>
				<div><?php if(!empty($row[0]['img'])){echo '<img src="'.$row[0]['img'].'" />';} ?></div>
			</td>
			<td>
				<div><?=$row[0]['title']?></div>
			</td>
			<td>
				<div><?=$row[1]['title']?></div>
			</td>
			<td>
				<?php if($row[0]['isactive'] == 1){ echo "Yes"; }else{ echo "No"; } ?>
			</td>
			<td>
				<a class="linkButton" href="<?=base_url()?>admin/manage_foot_right_icons/edit/<?=$row[0]['uId']?>"><i class="fa fa-edit"></i></a>
			</td>
			<td>
				<a class="linkButton" onclick="return confirm('Sure to delete?');" href="<?=base_url()?>admin/manage_foot_right_icons/delete/<?=$row[0]['level']?>"><i class="fa fa-trash-o"></i></a>
			</td>
			<td>
				<?php if($i != 0): ?>
				<a class="linkButton" href="<?=base_url()?>admin/manage_foot_right_icons/sort_up/<?=$row[0]['level']?>"><i class="fa fa-arrow-circle-o-up"></i></a>
				<?php endif; ?>
				<?php if($i != $cnt-1): ?>
				<a class="linkButton" href="<?=base_url()?>admin/manage_foot_right_icons/sort_down/<?=$row[0]['level']?>"><i class="fa fa-arrow-circle-o-down"></i></a>
				<?php endif;?>
			</td>
		</tr>
		<?php $i++; endforeach; ?>
	</table>

<?php $this->load->view('admin/blocks/footer.php'); ?>
</body>
</html>