<!DOCTYPE html>
<html>
<head>
	<?php $this->load->view('admin/blocks/head.php'); ?>
</head>
<body>
<?php $this->load->view('admin/blocks/asideleft.php'); ?>

	<div id="mainHeadingBox">
		<h2 class="mainHeading">Add language</h2>
	</div>
	<div class="headBox">
		<a class="linkButton" href="<?=base_url()?>admin/manage_langs" onclick="return confirm('Sure to leave without saving changes?');"><i class="fa fa-angle-double-left"></i> Go back without saving</a>
	</div>
	<form class="validateForm" action="<?=base_url()?>admin/manage_langs/addlangAction" enctype="multipart/form-data" method="post" accept-charset="utf-8">
		<div class="form-group">
			<label class="inputLabel">Language Name</label><br/>
			<input type="text" class="input smallInput" name="langName"
					data-validation="length"
					data-validation-length="1-25"
					data-validation-error-msg="Must be between 1-25 charachters" />
		</div>
		<div class="form-group">
			<label class="inputLabel">Language File Name</label><br/>
			<input type="text" class="input smallInput" name="langFileName"
					data-validation="length"
					data-validation-length="1-25"
					data-validation-error-msg="Must be between 1-25 charachters" />
		</div>
        <div class="form-group">
			<label class="inputLabel">Language Level(must be digit)</label><br/>
			<input type="number" class="input smallInput" value="0" name="langLevel"
					data-validation="number"
					data-validation-error-msg="Must be a number" />
		</div>
		<div class="form-group">
		<label class="inputLabel">Active</label><br/>
			<input type="radio" name="langActive" value="yes" id="yes"
				data-validation="required"
				data-validation-error-msg="Must choose one" checked />&nbsp;<label for="yes" class="inputLabel">Yes</label>
			<input type="radio" name="langActive" value="no" id="no"
				data-validation="required"
				data-validation-error-msg="Must choose one" />&nbsp;<label for="no" class="inputLabel">No</label>
		</div>
		<button type="submit" class="button actionButton submit" name="add_lang_sbmt" onclick="return confirm('Sure to add?');"><i class="fa fa-save"></i> Save</button>
	</form>

<?php $this->load->view('admin/blocks/footer.php'); ?>
</body>
</html>