<!DOCTYPE html>
<html>
<head>
	<?php $this->load->view('admin/blocks/head.php'); ?>
	<link rel="stylesheet" type="text/css" href="<?=base_url()?>assets/datetimepicker/jquery.datetimepicker.css">
	<script src="<?=base_url()?>assets/datetimepicker/jquery.datetimepicker.js"></script>
</head>
<body>
<?php $this->load->view('admin/blocks/asideleft.php'); ?>
	<script type="text/javascript">
		$(document).ready(function(){
			$("#school").change(function(){
				$("#institute").css('display','none');
				if($(this).val()=='0'){
					$("#institute").css('display','block');
				}
			});
			$("#institute").change(function(){
				$("#school").css('display','none');
				if($(this).val()=='0'){
					$("#school").css('display','block');
				}
			});
		});
	</script>
	<div id="mainHeadingBox">
		<h2 class="mainHeading">Add news</h2>
	</div>
	<div class="headBox">
		<a class="linkButton" href="<?=base_url()?>admin/manage_news" onclick="return confirm('Sure to leave without saving changes?');"><i class="fa fa-angle-double-left"></i> Go back without saving</a>
	</div>
		
	<form class="validateForm" action="<?=base_url()?>admin/manage_news/add" enctype="multipart/form-data" method="post" accept-charset="utf-8">

		<label class="inputLabel">schools</label><br/>
		<?php foreach($schools as $school): ?>
			<input type='checkbox' name='school_id[]' id="<?=$school[0]['uId']?>" value='<?=$school[0]['uId']?>' />
			<label for="<?=$school[0]['uId']?>"><?=$school[0]['title']?></label><br/>
		<?php endforeach; ?>

		<br><br>
		
		<label class="inputLabel">institutes</label><br/>
		<?php foreach($institutes as $institute): ?>
			<input type='checkbox' name='institute_id[]' id="<?=$institute[0]['uId']?>" value='<?=$institute[0]['uId']?>' />
			<label for="<?=$institute[0]['uId']?>"><?=$institute[0]['title']?></label><br/>
		<?php endforeach; ?>

		<br>

		<div class="form-group">
		<label class="inputLabel">show album?</label><br/>
			<input type="radio" name="isalbum" value="1" id="isalbum-yes"
				data-validation="required"
				data-validation-error-msg="Must choose one" />&nbsp;<label for="isalbum-yes" class="inputLabel">Yes</label>
			<input type="radio" name="isalbum" value="0" id="isalbum-no" checked
				data-validation="required"
				data-validation-error-msg="Must choose one" />&nbsp;<label for="isalbum-no" class="inputLabel">No</label>
		</div>
		<div class="hideAlbum">
			<div class="form-group">
				<label class="inputLabel">album name - geo</label><br/>
				<input type="text" class="input smallInput" name="albumNameGeo"
						data-validation="length"
						data-validation-length="max255"
						data-validation-error-msg="Max 255 charachters" />
			</div>
			<div class="form-group">
				<label class="inputLabel">album name - eng</label><br/>
				<input type="text" class="input smallInput" name="albumNameEng"
						data-validation="length"
						data-validation-length="max255"
						data-validation-error-msg="Max 255 charachters" />
			</div>
			<div class="form-group">
				<label class="inputLabel">Select Album Image</label><br/>
		        <input id="xImagePath" class="input smallInput" name="ImagePath" type="text" />&nbsp;
				<input type="button" class="button" value="Browse Server" onclick="BrowseServer( 'Images:/test2/', 'xImagePath' );" />
			</div>
		</div>

		<div class="form-group">
			<label class="inputLabel">Select Post News Main Image (347x215)</label><br/>
	        <input id="xImagePath1" class="input smallInput" name="main_img" type="text" />&nbsp;
			<input type="button" class="button" value="Browse Server" onclick="BrowseServer( 'Images:/test2/', 'xImagePath1' );" />
		</div>

		<div class="form-group">
			<input id="linkgallery" type="hidden" class="input smallInput" name="link" />
		</div>

		<div class="form-group">
			<label class="inputLabel">date</label><br/>
			<input type="text" class="input smallInput datepicker" name="date" value="<?=date("d/m/Y");?>" 
					data-validation="required"
					data-validation-error-msg="required field" />
		</div>

		<div class="form-group">
			<label class="inputLabel">time in minutes</label><br/>
			<input type="text" class="input smallInput" id="datetimepicker1" name="time" />
		</div>

		<br/>
		<hr/>

		<?php foreach ($langs as $lang): ?>

		<div class="form-group">
			<label class="inputLabel">title - <?=$lang["lang"]?></label><br/>
			<input type="text" class="input smallInput" name="title-<?=$lang["lang"]?>"
					data-validation="length"
					data-validation-length="max255"
					data-validation-error-msg="Max 255 charachters" />
		</div>

		<label class="inputLabel">content - <?=$lang["lang"]?></label><br/>
		<textarea id="editor-<?=$lang["lang"]?>" name="editor1-<?=$lang["lang"]?>" rows="10" cols="80"></textarea>

		<div class="form-group">
		<label class="inputLabel">Active - <?=$lang["lang"]?></label><br/>
			<input type="radio" name="isactive-<?=$lang["lang"]?>" value="1" id="yes-<?=$lang["lang"]?>"
				data-validation="required"
				data-validation-error-msg="Must choose one" checked />&nbsp;<label for="yes-<?=$lang["lang"]?>" class="inputLabel">Yes</label>
			<input type="radio" name="isactive-<?=$lang["lang"]?>" value="0" id="no-<?=$lang["lang"]?>"
				data-validation="required"
				data-validation-error-msg="Must choose one" />&nbsp;<label for="no-<?=$lang["lang"]?>" class="inputLabel">No</label>
		</div>

		<br/>
		<hr/>
		
		<script>
			// ckeditor intagrated with ckfinder
			var editor = CKEDITOR.replace( 'editor-<?=$lang["lang"]?>', {
			    filebrowserBrowseUrl : '<?=base_url()?>ckfinder/ckfinder.html',
			    filebrowserImageBrowseUrl : '<?=base_url()?>ckfinder/ckfinder.html?type=Images',
			    filebrowserFlashBrowseUrl : '<?=base_url()?>ckfinder/ckfinder.html?type=Flash',
			    filebrowserUploadUrl : '<?=base_url()?>ckfinder/core/connector/php/connector.php?command=QuickUpload&type=Files',
			    filebrowserImageUploadUrl : '<?=base_url()?>ckfinder/core/connector/php/connector.php?command=QuickUpload&type=Images',
			    filebrowserFlashUploadUrl : '<?=base_url()?>ckfinder/core/connector/php/connector.php?command=QuickUpload&type=Flash'
			});
			CKFinder.setupCKEditor( editor, '../' );

		$(document).ready(function(){

			$('#xImagePath').on('change',function(){
				var url = $(this).val();
				var last = url.lastIndexOf('/');
				url = url.substring(0,last+1);
				$('#linkgallery').val(url);
			});
		});

		$(".hideAlbum").hide();
		$("#isalbum-yes").click(function(){
			$(".hideAlbum").fadeIn("fast");
		});
		$("#isalbum-no").click(function(){
			$(".hideAlbum").fadeOut("fast");
		});

		$('#datetimepicker1').datetimepicker({
			datepicker:false,
			format:'H:i',
			step:5
		});
		</script>

		<?php endforeach; ?>

		<button type="submit" class="button actionButton" name="add_sbmt" onclick="return confirm('Sure to add?');"><i class="fa fa-save"></i> Save</button>

	</form>

<?php $this->load->view('admin/blocks/footer.php'); ?>
</body>
</html>