<!DOCTYPE html>
<html>
<head>
	<?php $this->load->view('admin/blocks/head.php'); ?>
</head>
<body>
<?php $this->load->view('admin/blocks/asideleft.php'); ?>
	<script type="text/javascript">
		$(document).ready(function(){
			$("#school").change(function(){
				$("#institute").css('display','none');
				if($(this).val()=='0'){
					$("#institute").css('display','inline');
				}
			});
			$("#institute").change(function(){
				$("#school").css('display','none');
				if($(this).val()=='0'){
					$("#school").css('display','inline');
				}
			});
		});
	</script>
	<div id="mainHeadingBox">
		<h2 class="mainHeading">Manage news</h2>
	</div>
	<div class="headBox">
		<ul class="breadcrumb">
			<li><a href="<?=base_url()?>admin/manage_news_cat">Manage News Category</a></li>
			<li><a href="#">Manage <?=$news_cat[1]["name"]?></a></li>
		</ul>
		<a class="linkButton" href="<?=base_url()?>admin/manage_news/add"><i class="fa fa-plus-circle"></i> Add Record</a>
		<div style="margin-top:10px;">
			<form>
			<select name="school_id" id="school" class="input">
			<option value="0">Select School</option>
			<?php foreach($schools as $school): ?>
				<option value="<?=$school[0]['uId']?>"><?=$school[0]['title']?></option>
			<?php endforeach; ?>
			</select>
			
			<select name="institute_id" id="institute" class="input">			
				<option value="0">Select Institute</option>
				<?php foreach($institutes as $institute): ?>
					<option value="<?=$institute[0]['uId']?>"><?=$institute[0]['title']?></option>
				<?php endforeach; ?>
			</select>

			<button class="linkButton" ><i class="fa fa-floppy-o"></i> Filter </button>
			</form>
		</div>
	</div>

	<table class="itemsTable" border="1">
		<tr>
			<th>ID</th><th>title - geo</th><th>title - eng</th><th>image</th><th>date</th><th>Edit</th><th>Delete</th>
		</tr>
		<?php foreach($rows as $row): ?>
		<tr>
			<td>
				<a href="<?=base_url()?>main/news/<?=$row[0]['uId']?>" target="_blank">
					<div><?=$row[0]['id']?></div>
				</a>
			</td>
			<td>
				<div <?php if(!$row[0]['isactive']) echo "style='color:red;'";?>><?=$row[0]['title']?></div>
			</td>
			<td>
				<div <?php if(!$row[1]['isactive']) echo "style='color:red;'";?>><?=$row[1]['title']?></div>
			</td>
			<td>
				<div><?php if(!empty($row[0]['main_img'])){echo '<img src="'.base_url().$row[0]['main_img'].'" />';} ?></div>
			</td>
			<td>
				<div><?=$row[1]['date']?></div>
			</td>
			<td>
				<a class="linkButton" href="<?=base_url()?>admin/manage_news/edit/<?=$row[0]['uId']?>"><i class="fa fa-edit"></i></a>
			</td>
			<td>
				<a class="linkButton" onclick="return confirm('Sure to delete?');" href="<?=base_url()?>admin/manage_news/delete/<?=$row[0]['uId']?>"><i class="fa fa-trash-o"></i></a>
			</td>
		</tr>
		<?php endforeach; ?>
		<tr>
			<td colspan="9">
				<div class="pagingBox"><?=$pages?></div>
			</td>
		</tr>
	</table>

<?php $this->load->view('admin/blocks/footer.php'); ?>

<script type="text/javascript">
  function getJsonFromUrl() {
  var query = location.search.substr(1);
  var result = {};
  query.split("&").forEach(function(part) {
    var item = part.split("=");
    result[item[0]] = decodeURIComponent(item[1]);
  });
  return result;
}

$(document).ready(function(){
    var data = getJsonFromUrl();
    
    for(var i = 0; i < $('#school > option').length; i++){
        if( $('#school > option')[i].value == data['school_id']){
            $($('#school > option')[i]).attr('selected',true);
        }
    }
    for(var i = 0; i < $('#institute > option').length; i++){
        if( $('#institute > option')[i].value == data['institute_id']){
            $($('#institute > option')[i]).attr('selected',true);
        }
    }
    
	if($('#school > option:selected').val()!=0){
		$("#institute").css('display','none');
	}
	if($('#institute > option:selected').val()!=0){
		$("#school").css('display','none');
	}
});

</script>
</body>
</html>