<!DOCTYPE html>
<html>
<head>
	<?php $this->load->view('admin/blocks/head.php'); ?>
</head>
<body>
<?php $this->load->view('admin/blocks/asideleft.php'); ?>

	<div id="mainHeadingBox">
		<h2 class="mainHeading">Manage Registration Forms</h2>
		<br/>
		<a href="https://docs.google.com/forms/create?usp=mkt_forms" target="_blank">Go To Google Forms</a>
	</div>

	<br/>

	<form class="validateForm" action="<?=base_url()?>admin/manage_register_forms/edit_btn" enctype="multipart/form-data" method="post" accept-charset="utf-8">
		<fieldset>
			<legend>&nbsp;Register Form Button&nbsp;</legend>
			<div class="form-group">
				<label class="inputLabel">title - geo</label><br/>
				<input type="text" class="input smallInput" name="title_geo" value="<?=$registerbtn['title_geo']?>" maxlength="255" required />
			</div>
			<div class="form-group">
				<label class="inputLabel">title - eng</label><br/>
				<input type="text" class="input smallInput" name="title_eng" value="<?=$registerbtn['title_eng']?>" maxlength="255" required />
			</div>
			<div class="form-group">
				<label class="inputLabel">link</label><br/>
				<input type="text" class="input smallInput" name="link" value="<?=$registerbtn['link']?>" maxlength="255" required />
			</div>
			<div class="form-group">
			<label class="inputLabel">Active</label><br/>
				<input type="radio" name="active" id="yes" <?php if($registerbtn['active']=="1") echo "checked";?> value="1"
						data-validation="required"
						data-validation-error-msg="Must choose one" />&nbsp;<label for="yes" class="inputLabel">Yes</label>
				<input type="radio" name="active" id="no" <?php if($registerbtn['active']=="0") echo "checked";?> value="0"
						data-validation="required"
						data-validation-error-msg="Must choose one" />&nbsp;<label for="no" class="inputLabel">No</label>
			</div>

			<button type="submit" class="button actionButton" name="update_register_btn" onclick="return confirm('Sure to add?');"><i class="fa fa-save"></i> Update</button>
		</fieldset>
	</form>

	<br/>
	<hr/>

	<div class="headBox">
		<a class="linkButton" href="<?=base_url()?>admin/manage_register_forms/add"><i class="fa fa-plus-circle"></i> Add Form</a>
	</div>

	<table class="itemsTable" border="1">
		<tr>
			<th>id</th><th>Form Name</th><th>Edit</th><th>Delete</th>
		</tr>
		<?php foreach($rows as $row): ?>
		<tr>
			<td><?=$row['id']?></td>
			<td>
				<div><a href="<?=base_url()?>register_forms/index/<?=$row['id']?>" target="_blank"><?=$row['main_title']?></a></div>
			</td>
			<td>
				<a class="linkButton" href="<?=base_url()?>admin/manage_register_forms/edit/<?=$row['id']?>"><i class="fa fa-edit"></i></a>
			</td>
			<td>
				<a class="linkButton" onclick="return confirm('Sure to delete?');" href="<?=base_url()?>admin/manage_register_forms/delete/<?=$row['id']?>"><i class="fa fa-trash-o"></i></a>
			</td>
		</tr>
		<?php endforeach; ?>
	</table>

<?php $this->load->view('admin/blocks/footer.php'); ?>
</body>
</html>