<!DOCTYPE html>
<html>
<head>
	<?php $this->load->view('admin/blocks/head.php'); ?>
</head>
<body>
<?php $this->load->view('admin/blocks/asideleftschool.php'); ?>

	<div id="mainHeadingBox">
		<h2 class="mainHeading">Edit record</h2>
	</div>
	<div class="headBox">
		<a class="linkButton" href="<?=base_url()?>admin/manage_school_personal" onclick="return confirm('Sure to leave without saving changes?');"><i class="fa fa-angle-double-left"></i> Go back without saving</a>
	</div>
	
	<form class="validateForm" action="<?=base_url()?>admin/manage_school_personal/edit/<?=$rows[0]['uId']?>" enctype="multipart/form-data" method="post" accept-charset="utf-8">

		<?php foreach ($rows as $row): ?>

		<div class="form-group">
			<label class="inputLabel">name - <?=$langs[$row['lang']-1]['lang']?></label><br/>
			<input type="text" class="input smallInput" name="name-<?=$langs[$row['lang']-1]['lang']?>" value="<?=$row['name']?>" />
		</div>
		<div class="form-group">
			<label class="inputLabel">position - <?=$langs[$row['lang']-1]['lang']?></label><br/>
			<input type="text" class="input smallInput" name="position-<?=$langs[$row['lang']-1]['lang']?>" value="<?=$row['position']?>" />
		</div>
		<label class="inputLabel">content - <?=$langs[$row['lang']-1]['lang']?></label><br/>
		<textarea id="editor-<?=$langs[$row['lang']-1]['lang']?>" name="editor1-<?=$langs[$row['lang']-1]['lang']?>" rows="10" cols="80"><?=$row['page']?></textarea>
		
		<br/>
		<hr/>

		<script>
			// ckeditor intagrated with ckfinder
			var editor = CKEDITOR.replace( 'editor-<?=$langs[$row['lang']-1]['lang']?>', {
			    filebrowserBrowseUrl : '<?=base_url()?>ckfinder/ckfinder.html',
			    filebrowserImageBrowseUrl : '<?=base_url()?>ckfinder/ckfinder.html?type=Images',
			    filebrowserFlashBrowseUrl : '<?=base_url()?>ckfinder/ckfinder.html?type=Flash',
			    filebrowserUploadUrl : '<?=base_url()?>ckfinder/core/connector/php/connector.php?command=QuickUpload&type=Files',
			    filebrowserImageUploadUrl : '<?=base_url()?>ckfinder/core/connector/php/connector.php?command=QuickUpload&type=Images',
			    filebrowserFlashUploadUrl : '<?=base_url()?>ckfinder/core/connector/php/connector.php?command=QuickUpload&type=Flash'
			});
			CKFinder.setupCKEditor( editor, '../' );
		</script>

		<?php endforeach; ?>
		
		<div class="form-group">
			<label class="inputLabel">Select Image</label><br/>
			<?php if(!empty($row['img'])){ ?> <img src="<?=$row['img']?>" width="300px;" /><br/> <?php } ?>
	        <input id="xImagePath" class="input smallInput" name="ImagePath" type="text" value="<?=$row['img']?>" />&nbsp;
			<input type="button" class="button" value="Browse Server" onclick="BrowseServer( 'Images:/', 'xImagePath' );" />
		</div>
		<div class="form-group">
		<label class="inputLabel">Active</label><br/>
			<input type="radio" name="isactive" id="yes" <?php if($row['isactive']=="1") echo "checked";?> value="1"
					data-validation="required"
					data-validation-error-msg="Must choose one" />&nbsp;<label for="yes" class="inputLabel">Yes</label>
			<input type="radio" name="isactive" id="no" <?php if($row['isactive']=="0") echo "checked";?> value="0"
					data-validation="required"
					data-validation-error-msg="Must choose one" />&nbsp;<label for="no" class="inputLabel">No</label>
		</div>

		<button type="submit" class="button actionButton" name="edit_sbmt" onclick="return confirm('Sure to add?');"><i class="fa fa-save"></i> Save</button>

	</form>

<?php $this->load->view('admin/blocks/footer.php'); ?>
</body>
</html>