<!DOCTYPE html>
<html lang="en">
<head>
    <?php $this->load->view("site/blocks/head.php"); ?>
    <title><?php if($this->session->userdata('lang')==1) { echo "ძიება"; }else{ echo "Search"; } ?></title>
    <link rel="stylesheet" type="text/css" href="<?=base_url()?>assets/css/animate.css">
</head>
<body>
<div id="wrapper">
<?php $this->load->view("site/blocks/header.php"); ?>
<div class="overlay-back"></div>
<div class="pageWrap">

    <ul class="breadcrump">
        <li>
            <a href="<?=base_url()?>">
                <?php if($this->session->userdata('lang')==1) { echo "მთავარი"; }else{ echo "Home"; } ?>
            </a>
        </li>
        <img class="breadcrump-arrow" src="<?=base_url()?>/assets/img/chevron-down.png">
        <li>
            <?php if($this->session->userdata('lang')==1) { echo "ძიება"; }else{ echo "Search"; } ?>
        </li>
       
    </ul>

    <?php $this->load->view("site/blocks/search_menu.php"); ?>

    <div class="searchResultsWrap">

               
        <div class="newsAchiveWrap">
            <?php foreach ($content as $value): ?>
            <figure class="newsAchiveGrid">
                <a href="<?=base_url()?>main/news/<?=$value['uId']?>" class="newsBlockGridLink">
                    <img src="<?=base_url()?><?=$value['main_img']?>">
                    <figcaption class="newsBlockFig">
                       <?=$value['title']?>
                        <br>
                        <span class="newsBlockLeftDate"><?=$value['date']?></span>
                    </figcaption>
                </a>
            </figure>
           <?php endforeach;?>
        <div class="clear"></div>
        </div>

        <!-- <div class="pagingBox">
            <ul>
                <li>
                    1
                </li>
                <li>
                    2
                </li>
                <li>
                    3
                </li>
                <li>
                    4
                </li>
            </ul>
        </div> -->

    <div class="clear"></div>
    </div>

</div>
<script>
$(document).ready(function(){
    $( ".newsAchiveGrid:nth-child(4n+4)" ).addClass( "columnLast" );
});

for (var i = 1; i < 32; i++) {
    $("<option class='searchNewsDay'>" + i + "</option>").insertAfter(".searchNewsFilterFirstDay");
};

var thisYear = (new Date).getFullYear();

for (var i = 2000; i <= thisYear; i++) {
    $("<option class='searchNewsYear'>" + i + "</option>").insertAfter(".searchNewsFilterFirstYear");
};

$('.searchNewsGrid p').ellipsis({ responsive: true });


$(window).bind("load", function() {
    $('.newsAchiveGrid').each(function(i) {
        $(this).delay((i++) * 200).animate({ "width": "23%" }, 30 );
    })
});
</script>
<?php require("blocks/footer.php");?>
</body>
</html>