<?php defined('BASEPATH') OR exit('No direct script access allowed');

class Manage_Footer extends CI_Controller{

  //----------------------------------------------------------------------------------------------------------------------------------------------------------------------

  function __construct()
  {
    parent::__construct();
    $this->load->model(array('footer_model','Combined_ad_model'));
    if(!$this->session->userdata('userID')){redirect(base_url('admin/login'));}
  }

  //----------------------------------------------------------------------------------------------------------------------------------------------------------------------

  function index()  {
    $data['rows']=$this->footer_model->get_posts();
    $this->load->view('admin/footer/manage',$data);
  }

  //----------------------------------------------------------------------------------------------------------------------------------------------------------------------
  function set_session($id){
    $this->session->set_userdata('footer',$id);
    redirect(base_url()."admin/manage_foot_nav");
  }

  //----------------------------------------------------------------------------------------------------------------------------------------------------------------------

  function add()
  {
    $data['langs']=$this->Combined_ad_model->view_lang();
    $this->load->view('admin/footer/add', $data);
    $level = $this->footer_model->get_level();
    if($level[0]['level']==NULL){
      $level = 1;
    }
    else{
      $level = $level[0]['level']+1;
    }

    if(isset($_POST['add_sbmt'])){

      $langs = $this->Combined_ad_model->view_lang();
      $uId = time();

      foreach($langs as $lang){

        $data=array(
          'uid' =>$uId,
          'name'=>$_POST['name-'.$lang["lang"]],
          'isactive'=>$_POST['isactive'],
          'lang' => $lang["langID"],
          'level' => $level
        );
        $this->footer_model->insert($data);

      }
      
      redirect(base_url().'admin/manage_footer');
    }

  }

  //----------------------------------------------------------------------------------------------------------------------------------------------------------------------

  function edit(){
    $uId = $this->uri->segment(4);

    if(isset($_POST['edit_sbmt'])){

      $langs = $this->Combined_ad_model->view_lang();

      foreach($langs as $lang){

      $data=array(
        'name'=>$_POST['name-'.$lang["lang"]],
        'isactive'=>$_POST['isactive'],
        'lang' => $lang["langID"]
      );
      $this->footer_model->update($uId,$lang['langID'],$data);

      }

      redirect(base_url().'admin/manage_footer');
    }

    $data['rows']=$this->footer_model->get_post($uId);
    $data['langs']=$this->Combined_ad_model->view_lang();
    $this->load->view('admin/footer/edit', $data);

  }
  //----------------------------------------------------------------------------------------------------------------------------------------------------------------------
  function sort_up($id){
    $this->footer_model->sort_up($id);
    redirect(base_url().'admin/manage_footer');
  }
  //----------------------------------------------------------------------------------------------------------------------------------------------------------------------
  function sort_down($id){
    $this->footer_model->sort_down($id);
    redirect(base_url().'admin/manage_footer');
  }

  //----------------------------------------------------------------------------------------------------------------------------------------------------------------------

  function delete(){
    $uId = $this->uri->segment(4);
    $this->footer_model->delete($uId);
    redirect(base_url().'admin/manage_footer');
  }

  //----------------------------------------------------------------------------------------------------------------------------------------------------------------------

}