<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Schools extends CI_Controller {

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function __construct(){
		parent::__construct();
		$this->load->model(array('popup_model','school_model','personnel_model'));
	}

	//--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function index($id=0){
		if(!$id){
			show_404();
		}
		$data['title'] = $this->school_model->get_title($id);
		$data['header'] = $this->school_model->get_header($id);
		$data['sliders'] = $this->school_model->get_slider($id);
		$data['popup'] = $this->popup_model->get_popup_school_front($id);
		$data['mainBlocks']=$this->school_model->view_blocks($id);
		$data['news'] = $this->school_model->get_school_news($id);
		$data['newscount'] = $this->school_model->get_school_news_count($id);
 		$data['cat'] = $this->personnel_model->get_school_cats($id);
		foreach ($data['mainBlocks'] as $value) {
			$data['mainBlocksPosts'][$value['uId']] = $this->school_model->view_blocks_posts($value['uId']);
		}
		$this->load->view('site/schools',$data);
	}

	//--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function school_section() {
		$section_uId = $this->input->post('section_uId');

		$section = $this->school_model->get_school_section($section_uId);

		echo json_encode(array('title' => $section->title, 'content' => $section->content));
	}
}