<?php defined('BASEPATH') OR exit('No direct script access allowed');

class Entrants_ad_model extends CI_Model{

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function get_posts(){
		$query = $this->db->select("uId")->where(array('entrant_id'=>$this->session->userdata('entrant_id')))->group_by("uId")->order_by("uId","desc")->get("entrants");
		$uIds = $query->result_array();
		$res = [];
		foreach ($uIds as $uId) {
			$query2 = $this->db->select("*")->from('entrants')->join('langs', 'langs.langID = entrants.lang', 'left')->where("uId",$uId["uId"])->get();
			$result = $query2->result_array();
			array_push($res, $result);
		}
		return $res;
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function get_post($uId){
		$this->db->select('*')->from('entrants')->where(array('uId'=>$uId));
		$query=$this->db->get();
		return $query->result_array();
	}
	function get_post_by_id($id){
		$this->db->select('*')->from('entrants')->where(array('id'=>$id));
		$query=$this->db->get();
		return $query->result_array();
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function insert($data){
		$this->db->insert('entrants',$data);
		return $this->db->insert_id();
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function update($uId,$lang,$data){
		$this->db->where( array('uId' => $uId , 'lang' => $lang ));
		$this->db->update('entrants',$data);
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function delete($uId){
		$this->db->where('uId',$uId);
		$this->db->delete('entrants');
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

}