<?php defined('BASEPATH') OR exit('No direct script access allowed');

class Entrants_found_ad_model extends CI_Model{

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function get_posts(){
		$query = $this->db->select("uId")->where(array('entrant_id'=>$this->session->userdata('entrant_id')))->group_by("uId")->order_by("uId","desc")->get("entrants_found_content");
		$uIds = $query->result_array();
		$res = [];
		foreach ($uIds as $uId) {
			$query2 = $this->db->select("*")->from('entrants_found_content')->join('langs', 'langs.langID = main_nav.lang', 'left')->where("uId",$uId["uId"])->get();
			$result = $query2->result_array();
			array_push($res, $result);
		}
		return $res;
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function get_post($id){
		$this->db->select('*')->from('entrants_found_content')->where('cat_id',$id);
		$query=$this->db->get();
		return $query->result_array();
	}


	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function update($id,$data){
		$this->db->where('id',$id)->update('entrants_found_content',$data);
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function update_menu($data){
		$this->db->where('id', 1);
		$this->db->update('menu_sort',$data);
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function delete($uId){
		$this->db->where('cat_id',$uId);
		$this->db->delete('entrants_found_content');
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------
	function isExist($id){
		$query = $this->db->where('cat_id',$id)->get('entrants_found_content');	
		return $query->num_rows();
	}
	function init($id){
		$data = array('cat_id' => $id );
		$this->db->insert('entrants_found_content',$data);
	}
}