<?php defined('BASEPATH') OR exit('No direct script access allowed');

class Institute_model extends CI_Model{

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------
	function get_title($id){
		$query = $this->db->where(array('uId' =>$id ,'lang'=>$this->session->userdata('lang') ))->get('institutes');
		return $query->first_row('array');
	}

	//---------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function get_header($id){
		$query = $this->db->where('institute_id',$id)->get('institute');
		return $query->first_row('array');
	}
	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------
	function get_slider($id){
		$query = $this->db->where(array('institute_id' =>$id ,'lang'=>$this->session->userdata('lang'), 'isactive'=>'1' ))->get('institutes_mainslider');
		return $query->result_array();
	}
	//---------------------------------------------------------------------------------------------------------------------------------------------------------------------
	
	function view_blocks($id){
		$this->db->select('*');
		$this->db->from('institutes_mainblocks');
		$this->db->where(array('lang'=>$this->session->userdata('lang'),'isactive'=>'1','institute_id'=>$id));
		$this->db->order_by("blocklevel","asc");
		$query=$this->db->get();
		return $query->result_array();
	}

	function view_blocks_posts($section_id){
		$this->db->select('*');
		$this->db->from('institutes_section');
		$this->db->where(array('lang'=>$this->session->userdata('lang'),'isactive'=>'1','section_id'=>$section_id));
		$this->db->order_by("uId","asc");
		$this->db->limit(4);
		$query=$this->db->get();
		return $query->result_array();
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function get_institute_news($institute_id, $num = 5, $start = 0) {
		$where_arr = array('institute_id' => $institute_id, 'isactive' => 1, 'lang' => $this->session->userdata('lang'));
		$query = $this->db->select("*")->order_by("uId","desc")->limit($num,$start)->where($where_arr)->get("news");
		$uIds = $query->result_array();

		return $uIds;
	}

	//----------------------------------------------------------------------------------------------------------------------

	function get_institute_section($uId) {
		$this->db->where('lang',$this->session->userdata('lang'));
		$query = $this->db->select("title, content")->where('uId', $uId)->get("institutes_section");
		$uId = $query->row();

		return $uId;
	}
	//----------------------------------------------------------------------------------------------------------------------
	function get_menu_title($id,$institute_id){
		if($this->session->userdata('lang')==1){
			$query= $this->db->select('title')->where('institute_id',$institute_id)->where('id',$id)->get('institutes_menu');
		}
		else{
			$query= $this->db->select('title_eng as title')->where('institute_id',$institute_id)->where('id',$id)->get('institutes_menu');
		}
		return $query->first_row('array');
	}

	function get_menu_content($id,$institute_id){
		if($this->session->userdata('lang')==1){
			$query= $this->db->select('content,isactive,right_content')->where('cat_id',$id)->get('institutes_menu_content');

		}else{
			$query= $this->db->select('content_eng as content,isactive,right_content_eng as right_content')->where('cat_id',$id)->get('institutes_menu_content');
		}
		return $query->first_row('array');
	}

}