<?php defined('BASEPATH') OR exit('No direct script access allowed');

class Personnel_model extends CI_Model{

	//-------------------------------------------------------------------------------------------------------------

	function get_by_school($school_id, $limit = 8, $offset = 0, $cat_id = null, $cat){
		$where_arr = array('school_id' => $school_id, 'personal_cat'=>$cat, 'lang'=>$this->session->userdata('lang'), 'isactive' => 1);
		if ($cat_id)
			$where_arr['personal_prof'] = $cat_id;
		$this->db->order_by('level','asc');
		$query = $this->db->where($where_arr)->get('schools_personal');
		$items = $query->result_array();

		$count_query = $this->db->where($where_arr)->get('schools_personal');
		$num_items = $count_query->num_rows();

		return array('items' => $items, 'count' => $num_items);
	}

	//--------------------------------------------------------------------------------------------------------------

	function get_school_cats($school_id){
		$where_arr = array('school_id' => $school_id, 'lang'=>$this->session->userdata('lang'), 'isactive' => 1);

		$query = $this->db->where($where_arr)->order_by('level','desc')->get('schools_personal_cat');
		$items = $query->result_array();

		return $items;
	}

	//--------------------------------------------------------------------------------------------------------------
	function get_school_profs($school_id,$cat){
		$where_arr = array('school_id' => $school_id, 'personal_cat'=>$cat, 'lang'=>$this->session->userdata('lang'), 'isactive' => 1);
		$this->db->order_by('level','desc');
		$query = $this->db->where($where_arr)->get('schools_personal_prof');
		$items = $query->result_array();

		return $items;
	}
	function get_bread($school_id, $cat){
		$where_arr = array('school_id' => $school_id, 'uId'=>$cat, 'lang'=>$this->session->userdata('lang'), 'isactive' => 1);
		$query = $this->db->select('uId,name')->where($where_arr)->get('schools_personal_cat');
		return $query->first_row('array');
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

}