<?php defined('BASEPATH') OR exit('No direct script access allowed');

class Popup_model extends CI_Model{

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function get_popup(){
		if($this->session->userdata('lang')=='1'){
			$query = $this->db->select("*")->where('id',1)->get('popup');
		}	
		else{
			$query = $this->db->select("*,content_eng as content")->where('id',1)->get('popup');
		}
		
		return $query->first_row('array');
	}

	function get_popup_school(){
		// if($this->session->userdata('lang')=='1'){
		// }
		// else{
		// }
		if($this->session->userdata('lang')=='1'){
			$query = $this->db->select("*")->where('school_id',$this->session->userdata('school_id'))->get('school');
		}
		else{
			$query = $this->db->select("*, popup_eng as popup")->where('school_id',$this->session->userdata('school_id'))->get('school');
		}
		
		return $query->first_row('array');
	}

	function get_popup_institute(){
		if($this->session->userdata('lang')=='1'){
			$query = $this->db->select("*")->where('institute_id',$this->session->userdata('institute_id'))->get('institute');
		}
		else{
			$query = $this->db->select("*,popup_eng as popup")->where('institute_id',$this->session->userdata('institute_id'))->get('institute');
		}
		
		return $query->first_row('array');
	}

	function get_popup_entrant(){
		if($this->session->userdata('lang')=='1'){
			$query = $this->db->select("*")->where('entrant_id',$this->session->userdata('entrant_id'))->get('entrant');
		}
		else{
			$query = $this->db->select("*,popup_eng as popup")->where('entrant_id',$this->session->userdata('entrant_id'))->get('entrant');
		}
		
		return $query->first_row('array');
	}

	function get_popup_front(){
		if($this->session->userdata('lang')=='1'){
			$query = $this->db->select("update_time, isactive,content")->where('id',1)->get('popup');
		}
		else{
			$query = $this->db->select("update_time, isactive,content_eng as content")->where('id',1)->get('popup');
		}
		return $query->first_row('array');
	}

	function get_popup_school_front($school_id){
		if($this->session->userdata('lang')=='1'){
			$query = $this->db->select("school_id,update_time, isactive,popup")->where('school_id',$school_id)->get('school');
		}
		else{
			$query = $this->db->select("school_id,update_time, isactive,popup_eng as popup")->where('school_id',$school_id)->get('school');
		}
		return $query->first_row('array');
	}

	function get_popup_institute_front($institute_id){
		if($this->session->userdata('lang')=='1'){
			$query = $this->db->select("institute_id,update_time, isactive,popup")->where('institute_id',$institute_id)->get('institute');
		}
		else{
			$query = $this->db->select("institute_id,update_time, isactive,popup_eng as popup")->where('institute_id',$institute_id)->get('institute');
		}
		return $query->first_row('array');
	}

	function get_popup_entrant_front($entrant_id){
		if($this->session->userdata('lang')=='1'){
			$query = $this->db->select("entrant_id,update_time, isactive,popup")->where('entrant_id',$entrant_id)->get('entrant');
		}
		else{
			$query = $this->db->select("entrant_id,update_time, isactive,popup_eng as popup")->where('entrant_id',$entrant_id)->get('entrant');
		}
		return $query->first_row('array');
	}



	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function update($id,$data){
		$this->db->where('id',$id)->update('popup',$data);
	}

	function update_school($data){
		$this->db->where('school_id',$this->session->userdata('school_id'))->update('school',$data);
	}

	function update_institute($data){
		$this->db->where('institute_id',$this->session->userdata('institute_id'))->update('institute',$data);
	}

	function update_entrant($data){
		$this->db->where('entrant_id',$this->session->userdata('entrant_id'))->update('entrant',$data);
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------


}