<?php defined('BASEPATH') OR exit('No direct script access allowed');

class Register_forms_ad_model extends CI_Model{

	//------ register form button ----------------------------------------------------------------------------------------------------------------------------------------------

	function get_reg_btn(){
		$this->db->select('*')->from('register_form_button')->where('id', '1');
		$query=$this->db->get();
		return $query->first_row('array');
	}

	function update_get_reg_btn($data){
		$this->db->where( array('id' => '1'));
		$this->db->update('register_form_button',$data);
	}

	//------ register form button end --------------------------------------------------------------------------------------------------------------------------------------------

	function get_forms(){
		$query = $this->db->select("*")->order_by("id","desc")->get("register_forms");
		return $query->result_array();
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function insert($data){
		$this->db->insert('register_forms',$data);
		return $this->db->insert_id();
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function get_form($id){
		$this->db->select('*')->from('register_forms')->where('id', $id);
		$query=$this->db->get();
		return $query->first_row('array');
	}

	function update($id,$data){
		$this->db->where(array('id' => $id));
		$this->db->update('register_forms',$data);
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function delete($id){
		$this->db->where('id',$id);
		$this->db->delete('register_forms');
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

}