<?php defined('BASEPATH') OR exit('No direct script access allowed');

class Schools_nav_ad_model extends CI_Model{

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function get_posts(){
		$query = $this->db->select("uId")->group_by("uId")->where('school_id',$this->session->userdata('school_id'))->order_by("uId","desc")->get("schools_menu_content");
		$uIds = $query->result_array();
		$res = [];
		foreach ($uIds as $uId) {
			$query2 = $this->db->select("*")->from('schools_menu_content')->join('langs', 'langs.langID = main_nav.lang', 'left')->where("uId",$uId["uId"])->get();
			$result = $query2->result_array();
			array_push($res, $result);
		}
		return $res;
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function get_post($id){
		$this->db->select('*')->from('schools_menu_content')->where('cat_id',$id);
		$query=$this->db->get();
		return $query->result_array();
	}


	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function update($id,$data){
		$this->db->where('id',$id)->update('schools_menu_content',$data);
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function update_menu($data){
		$this->db->where('id', 1);
		$this->db->update('menu_sort',$data);
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function delete($uId){
		$this->db->where('cat_id',$uId);
		$this->db->delete('schools_menu_content');
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------
	function isExist($id){
		$query = $this->db->where('cat_id',$id)->get('schools_menu_content');	
		return $query->num_rows();
	}
	// function initialisation menu item if doesn't exists simmilar one.
	function init($id){
		$data = array('cat_id' => $id );
		$this->db->insert('schools_menu_content',$data);
	}
}