<!DOCTYPE html>
<html>
<head>
	<?php $this->load->view('admin/blocks/head.php'); ?>
</head>
<body>
<?php $this->load->view('admin/blocks/asideleftentrant.php'); ?>

	<div id="mainHeadingBox">
		<h2 class="mainHeading">Manage Block data</h2>
	</div>
	<div class="headBox">
		<ul class="breadcrumb">
			<li><a href="<?=base_url()?>admin/manage_entrant_sections">Manage block</a></li>
			<li><a href="#">Manage block data</a></li>
		</ul>
		<a class="linkButton" href="<?=base_url()?>admin/manage_entrant_section/add"><i class="fa fa-plus-circle"></i> Add Record</a>
	</div>
	<table class="itemsTable" border="1">
		<tr>
			<th>ID</th><th>title - geo</th><th>title - eng</th><th>Edit</th><th>Delete</th><th>level</th>
		</tr>
		<?php $i=0; $cnt = count($rows); foreach($rows as $row): ?>
		<tr>
			<td>
				<div><?=$row[0]['sectionlevel']?></div>
			</td>
			<td>
				<div><?=$row[0]['title']?></div>
			</td>
			<td>
				<div><?=$row[1]['title']?></div>
			</td>
			<td>
				<a class="linkButton" href="<?=base_url()?>admin/manage_entrant_section/edit/<?=$row[0]['uId']?>"><i class="fa fa-edit"></i></a>
			</td>
			<td>
				<a class="linkButton" onclick="return confirm('Sure to delete?');" href="<?=base_url()?>admin/manage_entrant_section/delete/<?=$row[0]['sectionlevel']?>"><i class="fa fa-trash-o"></i></a>
			</td>
			<td>
				<?php if($i != 0): ?>
				<a class="linkButton" href="<?=base_url()?>admin/manage_entrant_section/sort_up/<?=$row[0]['sectionlevel']?>"><i class="fa fa-arrow-circle-o-up"></i></a>
				<?php endif; ?>
				<?php if($i != $cnt-1): ?>
				<a class="linkButton" href="<?=base_url()?>admin/manage_entrant_section/sort_down/<?=$row[0]['sectionlevel']?>"><i class="fa fa-arrow-circle-o-down"></i></a>
				<?php endif;?>
			</td>
		</tr>
		<?php $i++; endforeach; ?>
		
	</table>
	

<?php $this->load->view('admin/blocks/footer.php'); ?>
</body>
</html>