<!DOCTYPE html>
<html>
<head>
	<?php $this->load->view('admin/blocks/head.php'); ?>
</head>
<body>
<?php $this->load->view('admin/blocks/asideleft.php'); ?>

	<div id="mainHeadingBox">
		<h2 class="mainHeading">Edit record</h2>
	</div>
	<div class="headBox">
		<a class="linkButton" href="<?=base_url()?>admin/manage_entrants" onclick="return confirm('Sure to leave without saving changes?');"><i class="fa fa-angle-double-left"></i> Go back without saving</a>
	</div>

		<form class="validateForm" action="<?=base_url()?>admin/manage_entrants/edit/<?=$rows[0]['uId']?>" method="post">

		<?php foreach ($rows as $row): ?>

			<div class="form-group">
				<label class="inputLabel">Name</label><br/>
				<input type="text" class="input smallInput" name="name-<?=$langs[$row['lang']-1]['lang']?>" value="<?=$row['title']?>" />
			</div>

			<br/>
			<hr/>
			<br/>

		<?php endforeach; ?>

		<div class="form-group">
			<label class="inputLabel">Select Image</label><br/>
			<?php if(!empty($rows[0]['img'])){ ?> <img src="<?=$rows[0]['img']?>" width="300px;" /><br/> <?php } ?>
	        <input id="xImagePath" class="input smallInput" name="ImagePath" type="text" value="<?=$rows[0]['img']?>" />&nbsp;
			<input type="button" class="button" value="Browse Server" onclick="BrowseServer( 'Images:/', 'xImagePath' );" />
		</div>
		<div class="form-group">
			<label class="inputLabel">Active</label><br/>
			<input type="radio" name="isactive" id="yes" <?php if($rows[0]['isactive']=="1") echo "checked";?> value="1"
					data-validation="required"
					data-validation-error-msg="Must choose one" />&nbsp;<label for="yes" class="inputLabel">Yes</label>
			<input type="radio" name="isactive" id="no" <?php if($rows[0]['isactive']=="0") echo "checked";?> value="0"
					data-validation="required"
					data-validation-error-msg="Must choose one" />&nbsp;<label for="no" class="inputLabel">No</label>
		</div>

		<button type="submit" class="button actionButton" name="edit_sbmt" onclick="return confirm('Sure to save?');"><i class="fa fa-save"></i> Save</button>

	</form>

<?php $this->load->view('admin/blocks/footer.php'); ?>
</body>
</html>