<!DOCTYPE html>
<html>
<head>
	<?php $this->load->view('admin/blocks/head.php'); ?>
</head>
<body>
<?php $this->load->view('admin/blocks/asideleft.php'); ?>

	<div id="mainHeadingBox">
		<h2 class="mainHeading">Manage entrants</h2>
	</div>
	<div class="headBox">
		<a class="linkButton" href="<?=base_url()?>admin/manage_entrants/add"><i class="fa fa-plus-circle"></i> Add data</a>
	</div>
	<table class="itemsTable" border="1">
		<tr>
			<th>ID</th><th>Name Geo/Eng </th><th>image</th><th>Active</th><th>Edit</th><th>Delete</th>
		</tr>
		<?php foreach($posts as $postrow): ?>
		<tr>
			<td>
				<div><?=$postrow[0]['id']?></div>
			</td>
			<td>
				<div><a href="<?=base_url()?>admin/manage_entrants/set_session/<?=$postrow[0]['uId']?>"> <?=$postrow[0]['title']?> / <?=$postrow[1]['title']?> </a></div>
			</td>
			<td>
				<div><?php if(!empty($postrow[0]['img'])){echo '<img src="'.$postrow[0]['img'].'" />';} ?></div>
			</td>
			<td>
				<div><?php if($postrow[0]['isactive'] == 1){ echo "Yes"; }else{ echo "No"; } ?></div>
			</td>
			<td>
				<div>
					<a class="linkButton" href="<?=base_url()?>admin/manage_entrants/edit/<?=$postrow[0]['uId']?>"><i class="fa fa-edit"></i></a>
				</div>
			</td>
			<td>
				<div>
					<a class="linkButton" onclick="return confirm('Sure to delete?');" href="<?=base_url()?>admin/manage_entrants/delete/<?=$postrow[0]['uId']?>"><i class="fa fa-trash-o"></i></a>
				</div>
			</td>
		</tr>
		<?php endforeach; ?>
	</table>
	<?php //echo "<pre>"; var_dump($this->session->all_userdata()); echo "</pre>";?>

<?php $this->load->view('admin/blocks/footer.php'); ?>
</body>
</html>