<!DOCTYPE html>
<html>
<head>
	<?php $this->load->view('admin/blocks/head.php'); ?>
</head>
<body>
<?php $this->load->view('admin/blocks/asideleftinstitute.php'); ?>

	<div id="mainHeadingBox">
		<h2 class="mainHeading">Manage blocks</h2>
	</div>
	<div class="headBox">
		<a class="linkButton" href="<?=base_url()?>admin/manage_institute_sections/add"><i class="fa fa-plus-circle"></i> Add data</a>
	</div>
	<table class="itemsTable" border="1">
		<tr>
			<th>ID</th><th>Name Geo/Eng </th><th>color</th><th>Active</th><th>Edit</th><th>Delete</th><th>level</th>
		</tr>
		<?php $i=0; $cnt=count($posts); foreach($posts as $postrow): ?>
		<tr>
			<td>
				<div><?=$postrow[0]['id']?></div>
			</td>
			<td>
				<div><a href="<?=base_url()?>admin/manage_institute_sections/set_session/<?=$postrow[0]['uId']?>"> <?=$postrow[0]['name']?> / <?=$postrow[1]['name']?> </a></div>
			</td>
			<td>
				<div><?=$postrow[0]['color']?></div>
			</td>
			<td>
				<div><?php if($postrow[0]['isactive'] == 1){ echo "Yes"; }else{ echo "No"; } ?></div>
			</td>
			<td>
				<div>
					<a class="linkButton" href="<?=base_url()?>admin/manage_institute_sections/edit/<?=$postrow[0]['uId']?>"><i class="fa fa-edit"></i></a>
				</div>
			</td>
			<td>
				<div>
					<a class="linkButton" onclick="return confirm('Sure to delete?');" href="<?=base_url()?>admin/manage_institute_sections/delete/<?=$postrow[0]['blocklevel']?>"><i class="fa fa-trash-o"></i></a>
				</div>
			</td>
			<td>
				<?php if($i != 0): ?>
				<a class="linkButton" href="<?=base_url()?>admin/manage_institute_sections/sort_up/<?=$postrow[0]['blocklevel']?>"><i class="fa fa-arrow-circle-o-up"></i></a>
				<?php endif; ?>
				<?php if($i != $cnt-1): ?>
				<a class="linkButton" href="<?=base_url()?>admin/manage_institute_sections/sort_down/<?=$postrow[0]['blocklevel']?>"><i class="fa fa-arrow-circle-o-down"></i></a>
				<?php endif;?>
			</td>
		</tr>
		<?php $i++; endforeach; ?>
	</table>
	

<?php $this->load->view('admin/blocks/footer.php'); ?>
</body>
</html>