<!DOCTYPE html>
<html>
<head>
	<?php $this->load->view('admin/blocks/head.php'); ?>
</head>
<body>
<?php $this->load->view('admin/blocks/asideleft.php'); ?>

	<div id="mainHeadingBox">
		<h2 class="mainHeading">Edit Language</h2>
	</div>
	<div class="headBox">
		<a class="linkButton" onclick="return confirm('Sure to edit?');" href="<?=base_url()?>admin/manage_langs"><i class="fa fa-angle-double-left"></i> Go back without saving</a>
	</div>
	<form class="validateForm" action="<?=base_url()?>admin/manage_langs/editlangAction/<?=$langdata['langID']?>" enctype="multipart/form-data" method="post" accept-charset="utf-8">
		<div class="form-group">
			<label class="inputLabel">Language Name</label><br/>
			<input type="text" class="input smallInput" name="langName" value="<?=$langdata['lang']?>"
					data-validation="length"
					data-validation-length="2-25"
					data-validation-error-msg="Must be between 2-25 charachters" />
		</div>
		<div class="form-group">
			<label class="inputLabel">Language File Name</label><br/>
			<input type="text" class="input smallInput" name="langFileName" value="<?=$langdata['langFileName']?>"
					data-validation="length"
					data-validation-length="2-25"
					data-validation-error-msg="Must be between 2-25 charachters" />
		</div>
		<div class="form-group">
			<label class="inputLabel">Language Level(must be digit)</label><br/>
			<input type="number" class="input smallInput" name="langLevel" value="<?=$langdata['level']?>"
					data-validation="number"
					data-validation-error-msg="Must be a number" />
		</div>
		<div class="form-group">
		<label class="inputLabel">Active</label><br/>
			<input type="radio" name="langActive" id="yes" <?php if($langdata['active']=="yes") echo "checked";?> value="yes"
					data-validation="required"
					data-validation-error-msg="Must choose one" />&nbsp;<label for="yes" class="inputLabel">Yes</label>
			<input type="radio" name="langActive" id="no" <?php if($langdata['active']=="no") echo "checked";?> value="no"
					data-validation="required"
					data-validation-error-msg="Must choose one" />&nbsp;<label for="no" class="inputLabel">No</label>
		</div>
		<button type="submit" class="button actionButton" name="edit_lang_sbmt" onclick="return confirm('Sure to edit?');"><i class="fa fa-save"></i> Save Changes</button>
	</form>

<?php $this->load->view('admin/blocks/footer.php'); ?>
</body>
</html>