<!DOCTYPE html>
<html>
<head>
	<?php $this->load->view('admin/blocks/head.php'); ?>
</head>
<body>
<?php $this->load->view('admin/blocks/asideleft.php'); ?>

	<div id="mainHeadingBox">
		<h2 class="mainHeading">Add Video Gallery</h2>
	</div>
	<div class="headBox">
		<a class="linkButton" href="<?=base_url()?>admin/manage_pgallery" onclick="return confirm('Sure to leave without saving changes?');"><i class="fa fa-angle-double-left"></i> Go back without saving</a>
	</div>
		
	<form class="validateForm" action="<?=base_url()?>admin/manage_pgallery/add" enctype="multipart/form-data" method="post" accept-charset="utf-8">

		<div class="form-group">
			<label class="inputLabel">Select Image (347x200)</label><br/>
	        <input id="xImagePath" class="input smallInput" name="ImagePath" type="text" required />&nbsp;
			<input type="button" class="button" value="Browse Server" onclick="BrowseServer( 'Images:/test2/', 'xImagePath' );" />
		</div>

		<div class="form-group">
			<input id="linkgallery" type="hidden" class="input smallInput" name="link" />
		</div>

		<br/>
		<hr/>

		<?php foreach ($langs as $lang): ?>

		<div class="form-group">
			<label class="inputLabel">title - <?=$lang["lang"]?></label><br/>
			<input type="text" class="input smallInput" name="title-<?=$lang["lang"]?>"
					data-validation="length"
					data-validation-length="max255"
					data-validation-error-msg="Max 255 charachters" />
		</div>

		<br/>
		<hr/>

		<?php endforeach; ?>

		<div class="form-group">
		<label class="inputLabel">Active</label><br/>
			<input type="radio" name="isactive" value="1" id="yes"
				data-validation="required"
				data-validation-error-msg="Must choose one" checked />&nbsp;<label for="yes" class="inputLabel">Yes</label>
			<input type="radio" name="isactive" value="0" id="no"
				data-validation="required"
				data-validation-error-msg="Must choose one" />&nbsp;<label for="no" class="inputLabel">No</label>
		</div>

		<button type="submit" class="button actionButton" name="add_sbmt" onclick="return confirm('Sure to add?');"><i class="fa fa-save"></i> Save</button>

	</form>
<script type="text/javascript">
	function BrowseServer( startupPath, functionData ){
	    // You can use the "CKFinder" class to render CKFinder in a page:
	    var finder = new CKFinder();
	    // The path for the installation of CKFinder (default = "/ckfinder/").
	    finder.basePath = '../';
	    //Startup path in a form: "Type:/path/to/directory/"
	    finder.startupPath = startupPath;
	    // Name of a function which is called when a file is selected in CKFinder.
	    finder.selectActionFunction = SetFileField;
	    // Additional data to be passed to the selectActionFunction in a second argument.
	    // We'll use this feature to pass the Id of a field that will be updated.
	    finder.selectActionData = functionData;
	    // Name of a function which is called when a thumbnail is selected in CKFinder.
	    finder.selectThumbnailActionFunction = ShowThumbnails;
	    // Launch CKFinder
	    finder.popup();
	}
	// This is a sample function which is called when a file is selected in CKFinder.
	function SetFileField( fileUrl, data )	{
	   $('#'+data["selectActionData"]).val(fileUrl).trigger("change"); 
	}
	// This is a sample function which is called when a thumbnail is selected in CKFinder.
	function ShowThumbnails( fileUrl, data ){
	    // this = CKFinderAPI
	    var sFileName = this.getSelectedFile().name;
	    document.getElementById( 'thumbnails' ).innerHTML +=
	            '<div class="thumb">' +
	                '<img src="' + fileUrl + '" />' +
	                '<div class="caption">' +
	                    '<a href="' + data["fileUrl"] + '" target="_blank">' + sFileName + '</a> (' + data["fileSize"] + 'KB)' +
	                '</div>' +
	            '</div>';

	    document.getElementById( 'preview' ).style.display = "";
	    // It is not required to return any value.
	    // When false is returned, CKFinder will not close automatically.
	    return false;
	}
	$(document).ready(function(){

			$('#xImagePath').on('change',function(){
				var url = $(this).val();
				var last = url.lastIndexOf('/');
				url = url.substring(0,last+1);
				$('#linkgallery').val(url);
			});
		});
</script>
<?php $this->load->view('admin/blocks/footer.php'); ?>

</body>
</html>