<!DOCTYPE html>
<html>
<head>
	<?php $this->load->view('admin/blocks/head.php'); ?>
</head>
<body>
<?php $this->load->view('admin/blocks/asideleftschool.php'); ?>

	<div id="mainHeadingBox">
		<h2 class="mainHeading">Manage School</h2>
	</div>
	
	
	<form class="validateForm" action="<?=base_url()?>admin/manage_school/edit" method="post">

		
		<div class="form-group">
			<label class="inputLabel">Select Header Image (1600x81)</label><br/>
			<?php if(!empty($schools[0]['header'])){ ?> <img src="<?=$schools[0]['header']?>" width="300px;" /><br/> <?php } ?>
	        <input id="xImagePath" class="input smallInput" name="headerimg" type="text" value="<?=$schools[0]['header']?>" />&nbsp;
			<input type="button" class="button" value="Browse Server" onclick="BrowseServer( 'Images:/', 'xImagePath' );" />
		</div>

		<div class="form-group">
			<label class="inputLabel">Select Logo Image (89x89)</label><br/>
			<?php if(!empty($schools[0]['logo'])){ ?> <img src="<?=$schools[0]['logo']?>" width="89px;" /><br/> <?php } ?>
	        <input id="xImagePath2" class="input smallInput" name="logo" type="text" value="<?=$schools[0]['logo']?>" />&nbsp;
			<input type="button" class="button" value="Browse Server" onclick="BrowseServer( 'Images:/', 'xImagePath2' );" />
		</div>

		<div class="form-group">
			<label class="inputLabel">Menu Background Color</label><br/>
			<input type="text" class="input smallInput color alpha" name="hcolor" value="<?=$schools[0]['hcolor']?>" />
		</div>
		<div class="form-group">
			<label class="inputLabel">Menu Items Color</label><br/>
			<input type="text" class="input smallInput color alpha" name="mcolor" value="<?=$schools[0]['mcolor']?>" />
		</div>
		<div class="form-group">
			<label class="inputLabel">Border Color</label><br/>
			<input type="text" class="input smallInput color alpha" name="bcolor" value="<?=$schools[0]['bcolor']?>" />
		</div>

		<br>
		<hr>
		<br>

		<div class="form-group">
			<label class="inputLabel">News Calendar Image (307x257)</label><br/>
			<?php if(!empty($schools[0]['news_calendar_image'])){ ?> <img src="<?=$schools[0]['news_calendar_image']?>" width="300px;" /><br/> <?php } ?>
	        <input id="xImagePath3" class="input smallInput" name="news_calendar_image" type="text" value="<?=$schools[0]['news_calendar_image']?>" />&nbsp;
			<input type="button" class="button" value="Browse Server" onclick="BrowseServer( 'Images:/', 'xImagePath3' );" />
		</div>

		<div class="form-group">
			<label class="inputLabel">News Calendar Color</label><br/>
			<input type="text" class="input smallInput color alpha" name="news_calendar_color" value="<?=$schools[0]['news_calendar_color']?>" />
		</div>

		<div class="form-group">
			<label class="inputLabel">Announce Calendar Image (307x257)</label><br/>
			<?php if(!empty($schools[0]['announce_calendar_image'])){ ?> <img src="<?=$schools[0]['announce_calendar_image']?>" width="300px;" /><br/> <?php } ?>
	        <input id="xImagePath4" class="input smallInput" name="announce_calendar_image" type="text" value="<?=$schools[0]['announce_calendar_image']?>" />&nbsp;
			<input type="button" class="button" value="Browse Server" onclick="BrowseServer( 'Images:/', 'xImagePath4' );" />
		</div>

		<div class="form-group">
			<label class="inputLabel">announce Calendar Color</label><br/>
			<input type="text" class="input smallInput color alpha" name="announce_calendar_color" value="<?=$schools[0]['announce_calendar_color']?>" />
		</div>
		
		<!-- <br>
		<hr>

		<div class="form-group">
			<label class="inputLabel">Select Header Image (eng)</label><br/>
			<?php if(!empty($schools[0]['header_eng'])){ ?> <img src="<?=$schools[0]['header_eng']?>" width="300px;" /><br/> <?php } ?>
	        <input id="xImagePath_eng" class="input smallInput" name="headerimg_eng" type="text" value="" />&nbsp;
			<input type="button" class="button" value="Browse Server" onclick="BrowseServer( 'Images:/', 'xImagePath_eng' );" />
		</div>

		<div class="form-group">
			<label class="inputLabel">Select Logo Image (eng)</label><br/>
			<?php if(!empty($schools[0]['logo_eng'])){ ?> <img src="<?=$schools[0]['logo_eng']?>" width="300px;" /><br/> <?php } ?>
	        <input id="xImagePath2_eng" class="input smallInput" name="logo_eng" type="text" value="" />&nbsp;
			<input type="button" class="button" value="Browse Server" onclick="BrowseServer( 'Images:/', 'xImagePath2_eng' );" />
		</div> -->
					
		<button type="submit" class="button actionButton" name="edit_slider_sbmt" onclick="return confirm('Sure to edit?');"><i class="fa fa-save"></i> Save Changes</button>

	</form>

<?php $this->load->view('admin/blocks/footer.php'); ?>
</body>
</html>