<!DOCTYPE html>
<html>
<head>
	<?php $this->load->view('admin/blocks/head.php'); ?>
</head>
<body>
<?php $this->load->view('admin/blocks/asideleftschool.php'); ?>

	<div id="mainHeadingBox">
		<h2 class="mainHeading">Manage school personal</h2>
	</div>
	<div class="headBox">
		<ul class="breadcrumb">
			<li><a href="<?=base_url()?>admin/manage_school_personal_cat">Manage Personal Category</a></li>
			<li><a href="<?=base_url()?>admin/manage_school_personal_prof">Manage professions</a></li>
			<li><a href="#">Manage Personal</a></li>
		</ul>
		<a class="linkButton" href="<?=base_url()?>admin/manage_school_personal/add"><i class="fa fa-plus-circle"></i> Add Record</a>
	</div>

	<table class="itemsTable" border="1">
		<tr>
			<th>ID</th><th>name</th><th>image</th><th>Isactive</th><th>Edit</th><th>Delete</th><th>Level</th>
		</tr>
		<?php $i=0; $cnt=count($rows); foreach($rows as $row): ?>
		<tr>
			<td>
				<div><?=$row[0]['level']?></div>
			</td>
			<td>
				<div><?=$row[0]['name']?> / <?=$row[1]['name']?></div>
			</td>
			<td>
				<div><?php if(!empty($row[0]['img'])){echo '<img src="'.$row[0]['img'].'" />';} ?></div>
			</td>
			<td>
				<?php if($row[0]['isactive'] == 1){ echo "Yes"; }else{ echo "No"; } ?>
			</td>
			<td>
				<a class="linkButton" href="<?=base_url()?>admin/manage_school_personal/edit/<?=$row[0]['uId']?>"><i class="fa fa-edit"></i></a>
			</td>
			<td>
				<a class="linkButton" onclick="return confirm('Sure to delete?');" href="<?=base_url()?>admin/manage_school_personal/delete/<?=$row[0]['level']?>"><i class="fa fa-trash-o"></i></a>
			</td>
			<td>
				<?php if($i != 0): ?>
				<a class="linkButton" href="<?=base_url()?>admin/manage_school_personal/sort_down/<?=$row[0]['level']?>"><i class="fa fa-arrow-circle-o-up"></i></a>
				<?php endif; ?>
				<?php if($i != $cnt-1): ?>
				<a class="linkButton" href="<?=base_url()?>admin/manage_school_personal/sort_up/<?=$row[0]['level']?>"><i class="fa fa-arrow-circle-o-down"></i></a>
				<?php endif;?>
			</td>
		</tr>
		<?php $i++; endforeach; ?>
	</table>

<?php $this->load->view('admin/blocks/footer.php'); ?>
</body>
</html>