<style>
.menu-box { background-color: <?=$header['hcolor'];?>!important; }
.school-banner {
    border-top: 7px solid <?=$header['bcolor'];?>;
    border-bottom: 7px solid <?=$header['bcolor'];?>;
}
header nav#topmenu ul li:hover ul.sublist { background-color: <?=$header['mcolor'];?>!important; }
.multimediaNav{ border-bottom: 3px solid <?=$header['bcolor'];?>; }
.multimediaNav .multimediaMainNavUl li:hover{ background: <?=$header['bcolor'];?>; }
.personnelHiglight{
    background: <?=$header['bcolor'];?>;
    color: #fff !important;
}
</style>

<script>

jQuery(function($) {
	var fixmeTop = $('.menu-box').offset().top;
	$(window).scroll(function() {
	    var currentScroll = $(window).scrollTop();
	    if (currentScroll >= fixmeTop) {
	        $('.menu-box').css({
	            position: 'fixed',
	            top: '0',
	            marginLeft: 'auto',
                marginRight: 'auto',
                right: '0',
	            left: '0'
	        });
	        $('.schoolFixedHeader').css('height', '67px');
	    } else {
	        $('.menu-box').css({
	            position: 'static'
	        });
	        $('.schoolFixedHeader').css('height', '0px');
	    }
	});
});

$(document).ready(function(){
    var url = config.base + "manage_main_nav/get_school_json";
    var id = window.location.href;
    id = id.substr(0, id.lastIndexOf("/"));
    id =  id.substr(id.lastIndexOf("/")+1,id.length);  
    
    $.ajax({
        url: url,
        type: "POST",
        data: ({
             id: id
        }),
        success: function(data) {
            var items = $.parseJSON(data);
            var k = 1,
                c = items.length,
                j, nestedhtml = '';
            $.each(items, function(i, item) { // 
                if (item.depth == j) {
                    nestedhtml += '</li>';
                } else if (parseInt(item.depth) > j) {
                    var tmp = $(nestedhtml).find('a').last().html();
                    var test = $(nestedhtml).find('a').last().html(tmp+'<span class="arrow">More Link</span>');
                    nestedhtml = nestedhtml.replace(tmp,test[0].innerHTML);
                    nestedhtml += '<ul class="sublist">';

                } else if (parseInt(item.depth) < j) {
                    nestedhtml += Array(Math.abs(parseInt(item.depth) - parseInt(j + 1))).join('</li></ul>') + "</li>";
                } 
                var blank = '';
                if(item.target==1){
                    blank = 'target="_blank"';
                }
                if(item.link != ""){
                	nestedhtml +='<li><a '+blank+' class="nav-title" href="' + item.link + '">' + item.title + '</a>';
                }
            	else if(item.title != ""){	
                	nestedhtml +='<li><a '+blank+' class="nav-title" href='+config.base +'school_menu_content/index/'+item.id+'/'+id+'>' + item.title + '</a>';
                }
                if (k == c) {
                    nestedhtml += Array(Math.abs(parseInt(item.depth) - 1)).join('</li></ul>') + "</li>"
                };
                k++;
                j = parseInt(item.depth);
            });
            $('#school_menu').html(nestedhtml); 
        }
    });      
});
</script>

<header class="schools-head">

		<div class="menu-box">

			<div class="menu" id="top">	

				<nav class="schools-nav cl-effect-21" id="topmenu">

					<ul id="school_menu">

						

						

					</ul>

				</nav>		

			</div>

		</div>

		<div class="schoolFixedHeader"></div>

		<div class="school-banner" style="background:url('<?=$header['header'];?>') no-repeat;background-size:cover;">

			<div class="school-banner-content">

				<a href="<?=base_url()?>schools/index/<?=$header['school_id']?>">
				
					<img class="school-logo" src="<?=$header['logo'];?>"></a>

					<h2 class="school-title"><a href="<?=base_url()?>schools/index/<?=$header['school_id']?>"><?=$title['title'];?></a></h2>

			</div>

		</div>

</header>