<!DOCTYPE html>
<html lang="en">
<head>
	<?php $this->load->view("site/blocks/head.php"); ?>
	<title>
        Gruni.edu.ge - <?php if($this->session->userdata('lang')==1) { echo "მთავარი"; }else{ echo "Home"; } ?>
    </title>
</head>
<body>

<?php if((get_cookie('update_time') != $popup['update_time']) && $popup['isactive']=='1' ):
	$cookie = array(
		'name'   => 'update_time',
		'value'  => $popup['update_time'],
		'expire' => time()+86500
	);
	set_cookie($cookie);
?>
<div id="popup_box">	
	<?=$popup['content'];?>
	<a id="popupBoxClose">X</a>	
</div>
<script>
$(document).ready( function() {
    // When site loaded, load the Popupbox First
    loadPopupBox();
    $('#popupBoxClose').click( function() {         
        unloadPopupBox();
    });    
    $('#wrapper').click( function() {
        unloadPopupBox();
    });
    function unloadPopupBox() { // TO Unload the Popupbox
        $('#popup_box').fadeOut("slow");
        $("#wrapper").css({ // this is just for style       
            "opacity": "1"  
        }); 
    }   
    function loadPopupBox() {   // To Load the Popupbox
        $('#popup_box').fadeIn("slow");
        $("#wrapper").css({ // this is just for style
            "opacity": "0.3"  
        });         
    }
    /**********************************************************/
    
});
</script>
<?php endif;?>

<div id="wrapper">
<?php $this->load->view("site/blocks/header.php"); ?>
	
<div class="overlay-back"></div>

<!--ninjaVideoPlugin.js is required only when the slider contains videos, and its link should be placed before the ninja-slider.js link.-->
<script src="<?=base_url()?>assets/slider/ninjaVideoPlugin.js" type="text/javascript"></script>
<script src="<?=base_url()?>assets/slider/ninja-slider.js" type="text/javascript"></script>

<div id='ninja-slider-wrap'>
    <!--start-->
    <div id='ninja-slider'>
        <ul>
        	<?php foreach ($sliderdata as $row): 
        	if ($row['type']==1) { ?>
            <li>
                <div data-image="<?=$row['img']?>">
                    <a href="<?=$row['link']?>" <?php if($row['blank'] == 1){ echo "target='_blank'"; } ?> >
	                    <div class="caption">
	                        <h3><?=$row['title']?></h3>
	                        <p><?=$row['caption']?></p>
	                    </div>
                    </a>
                </div>
            </li>
        	<?php }else{ ?>
        	<li>
                <div data-image="<?=$row['img']?>">
                    <a class="video" href="<?=$row['youtube']?>"></a>
                    <div class="caption">
                    <a href="<?=$row['link']?>" <?php if($row['blank'] == 1){ echo "target='_blank'"; } ?> >
                        <h3><?=$row['title']?></h3>
                        <p><?=$row['caption']?></p>
                    </a>
                    </div>
                </div>
            </li>
            <?php } ?>
        	<?php endforeach; ?>
        </ul>
    </div>
    <!--end-->
    <div id="slider-pager"></div>
</div>
<!-- end -->

<!-- news block -->
<script>
$(function() {
	$('.announceItemFig').ellipsis({ responsive: true });
});
</script>
	<div class="newsBlock">
			<h3 class="blockHeadTitle">
				<?php if($this->session->userdata('lang')==1) { echo "ახალი ამბები"; }else{ echo "News"; } ?>
				<a href="<?=base_url()?>all_news" >
					<?php if($this->session->userdata('lang')==1) { echo "ყველა ახალი ამბავი"; }else{ echo "All News"; } ?>
				</a>
			</h3>

			<?php foreach ($news as $row): ?>

			<figure class="newsBlockGrid">
				<a href="<?=base_url()?>main/news/<?=$row['uId']?>" class="newsBlockGridLink">
					<img src="<?=$row['main_img']?>" />
					<figcaption class="newsBlockFig">
						<?=$row['title']?>
						<br/>
						<span class="newsBlockLeftDate"><?=$row['date']?></span>
					</figcaption>
				</a>
			</figure>

			<?php endforeach; ?>
			
			<figure class="newsBlockGrid columnLast">
				<h3 class="blockHeadTitleAnnounce">
					<?php if($this->session->userdata('lang')==1) { echo "ანონსი"; }else{ echo "Announce"; } ?>
					<a href="<?=base_url()?>all_announce">
						<?php if($this->session->userdata('lang')==1) { echo "ყველა ანონსი"; }else{ echo "All Announce"; } ?>
					</a>
				</h3>
				<div class="announceItemWrap">
				<?php foreach ($announce as $row): ?>

				<figure class="announceItem">
					<a href="<?=base_url()?>main/announce/<?=$row['uId']?>">
						<div class="announceItemDate">
							<p style="font-size:16px;line-height:16px;text-transform:uppercase;">
								<?php
									if(strtotime(str_replace('/', '-', $row['date'])) < time() && time() < $row['enddate']){
										echo date('d',time());
									}
									else{
										echo $access->get_day($row['date']);
									}
								?>
							</p>
							<p style="font-size:12px;">
								<?php
									if(strtotime(str_replace('/', '-', $row['date'])) < time() && time() < $row['enddate']){
										$curmonth = date('d/m/y');
										echo $access->get_month($curmonth);
									}
									else{
										echo $access->get_month($row['date']);
									}
								?>
							</p>
						</div>
						<figcaption class="announceItemFig"><?=$row['title']?></figcaption>
					</a>
				</figure>

				<?php endforeach; ?>
				</div>

			</figure>
		<div class="clear"></div>
	</div>
<!-- end -->

<!-- schools slider -->
	<div class="schoolsCarousel">
			<h3 class="blockHeadTitle"><?php if($this->session->userdata('lang')==1) { echo "სკოლები და პროგრამები"; }else{ echo "Schools and programs"; } ?></h3>
			<ul class="bxslider">
			<?php foreach ($schools as $row): ?>
				<a href="<?=base_url()?>schools/index/<?=$row['uId']?>" class="bxsliderItem">
					<li>
						<img src="<?=$row['img']?>" title="<?=$row['title']?>" />
						<div class='bCaptionsArrow'></div>
					</li>
				</a>
			<?php endforeach; ?>
			</ul>
	</div>
<script type="text/javascript">
$('.bxslider').bxSlider({
  minSlides: 1,
  maxSlides: 4,
  slideWidth: 213,
  captions: true,
  pager: false,
});
</script>
<!-- end -->

<!-- uniBlock -->
	<?php foreach ($mainBlocks as $row): ?>
	<div class="uniBlock" style="background:<?=$row['color']?>;">
			<h3 class="blockHeadTitle"><?=$row['name']?></h3>

			<?php foreach ($mainBlocksPosts[$row['uId']] as $post): ?>
			<figure class="uniBlockGrid">
				<a href="<?=$post['link']?>" class="uniBlockGridLink">
					<img src="<?=$post['image']?>"/>
					<figcaption>
						<?=$post['title']?>
					</figcaption>
				</a>
			</figure>
			<?php endforeach; ?>
			
			<div class="clear"></div>
	</div>
	<?php endforeach; ?>
<!-- end -->
<script>
$(document).ready(function(){
	if($(window).width() <= 1270) {
   		$( ".announceItemWrap .announceItem:nth-child(4)" ).css( "display","none");
	}
	$( ".uniBlockGrid:nth-child(5n+5)" ).addClass( "columnLast" );
});
</script>

<?php require("blocks/footer.php");?>
</body>
</html>