<!DOCTYPE html>
<html lang="en">
<head>
    <?php $this->load->view("site/blocks/head.php"); ?>
    <title><?php if($this->session->userdata('lang')==1) { echo "ძიება"; }else{ echo "Search"; } ?></title>
    <link rel="stylesheet" type="text/css" href="<?=base_url()?>assets/css/animate.css">
</head>
<body class="videoGallery">
<div id="wrapper">
<?php $this->load->view("site/blocks/header.php"); ?>
<div class="overlay-back"></div>
<div class="pageWrap">

    <ul class="breadcrump">
        <li>
            <a href="<?=base_url()?>">
                <?php if($this->session->userdata('lang')==1) { echo "მთავარი"; }else{ echo "Home"; } ?>
            </a>
        </li>
        <img class="breadcrump-arrow" src="<?=base_url()?>/assets/img/chevron-down.png">
        <li>
            <?php if($this->session->userdata('lang')==1) { echo "ძიება"; }else{ echo "Search"; } ?>
        </li>
       
    </ul>

    <?php $this->load->view("site/blocks/search_menu.php"); ?>

    <div class="searchResultsWrap">
        
        <div class="gallery">
            <img src='<?=base_url()?>/assets/img/loader.gif' class='galleryLoader centerV' />
            <?php foreach ($content as $value): ?>
            <div class="galleryAlbumWrap">
                <a href="<?=$value['link']?>" class="nyroModal" title="<?=$value['title']?>" rel="<?=$value['title']?>">
                    <img class="galleryImage" src="<?=$value['image']?>" />
                </a>
                <h3><i class="fa fa-video-camera"></i><?=$value['title']?></h3>
            </div>
            <?php endforeach;?>

        <div class="clear"></div>
        </div>

    <div class="clear"></div>
    </div>

</div>
<script>
$(function() {
    $('.nyroModal').nm();
});

$('.searchResAnItemFig').ellipsis({ responsive: true });

$(window).load(function(){
    $(".galleryLoader").fadeOut("fast");
});

width = $(window).width();
if (width < 1270) { 
    box_width = "16.2%";
    $( ".galleryAlbumWrap:nth-child(5n+1)" ).addClass( "columnLast" );
}else{
    box_width = "14%";
    $( ".galleryAlbumWrap:nth-child(6n+1)" ).addClass( "columnLast" );
}

$(window).bind("load", function() {
    $('.galleryAlbumWrap').each(function(i) {
        $(this).delay((i++) * 200).animate({ "width": box_width }, 50 );
    })
});

$(function() {
    $('.nyroModal').nm({
        callbacks: {
            beforeShowCont: function(nm) {
                if (nm._hasFilter('title') && nm.opener.is('[rev]')) {
                    nm.store.title.html("<span class='nyroModalTitleWrap'>"+nm.store.title.text()+'</span><a class="nyroModalFoundMore" href="'+nm.opener.attr('rev')+'">' +
                        "<?php if($this->session->userdata('lang')==1) { echo ' <u>გაიგე მეტი</u>'; }else{ echo ' <u>See more</u>'; } ?>" +
                    '</a>');
                }
            }
        }
    });
});
</script>
<?php require("blocks/footer.php");?>
</body>
</html>